Introduction

If you have tired to change text files and you want to create easy-to-use electronic version of your collection we are glad to offer you our Collection Studio. Thanks to Collection Studio your PC will become your ultimate storage system.

set of banknotes Collection Studio is a program which tracks your collection of coins, banknotes, stamps, posters, and other collectibles including custom collections and can show the whole or partial collection with different points of view. Easy-to-use tools will help you to change information, share it with friends, allowing collection to grow...

We're sure you'll find Collection Studio so easy to use that you'll probably never need to open up this Help file. But if you need some explanation or assistance, you'll find it here. We are pleased to help you easily learn our Collection Studio. We hope you will enjoy using Collection Studio as much as we do!

  • Collection Studio Main Features
  • Latest changes
  • F.A.Q.
  • How to buy full version
  • License
Copyright © 2004-2018 by CollectionStudio.com Open link in new window
top


Collection Studio Main Features

Collection Studio Features

Features

  • Supported collectibles: coins, banknotes, books, posters, discs, movies and stamps;
  • Custom collectible feature for creation user defined collections;
  • Support of containers for grouping your collectibles in one collection;
  • Amazing View feature allows you to view your collection in many different ways;
  • Multi-language interface;
  • Each record contains over 25 information fields. Keep track of defects, purchase and selling info, region, etc;
  • You can easy add images and photos of your collectibles into the Collection Studio document. Number of images per collectible is NOT LIMITED. Now supported all popular formats: GIF, JPG, JPEG, BMP, WMF, EMF, PNG, TIFF, TGA, PCX, WBMP;
  • Countries and Currencies Views allow you to add data for Countries or Currencies not present in the program database;
  • Columns are configured for Each View Type. So that only columns applicable to that View Type are displayed;
  • The Collection Studio database comes pre-populated with hundreds of national banks links relevant to your collection, where you can easy find out required information on banknotes, coins, issue series, etc;
  • Search tool allows you to find out all items that match various search query parameters;
  • Dates Calculator allows you easy convert Moslem, Hebrew and Japanese Dates into Gregorian dates;
  • Export information about all items in collection into the file. Supported file formats are: ASCII Text File, XML, CSV and SQL-scripts;
  • Import information from the file about new collection items. Supported file formats are: XML, CSV.
  • Easy-to-use user-friendly interface;
  • Portatible installation;
  • Barcode support;
  • Support of plugins; You can download free open source sample of workable plugin, implemented by our team. Using current plugins architecture, it is easy and fast to create your own plugin;
  • List Filter.

Upcoming features

  • More characteristics fields
  • More statistics views
  • Remote online collectible database
  • More export/import formats
  • More useful web-links
  • Or ... request a feature Open link in new window right now. It's free!
    Also, you can use our forum to suggest a new feature.


Registration

Every author of a new Language File gets
a free license for Collection Studio !

Registration

Thank you very much for your interest in purchasing Collection Studio, your support helps us to continue enhancing our program, and this will provide you neater software in the future.

Trial versions of Collection Studio have limitations: a nag-screen and 10 days trial period. If you decide to keep Collection Studio you should register and pay the registration fee. After registration you will get:

  • no nags at startup,
  • lifetime technical support via e-mail,
  • no disable of the "Add new collectible" functionality when trial period is finished;
  • free upgrade to all new versions.

For online registration go to
http://www.CollectionStudio.com/registration/ Open link in new window
and follow the instructions.

Also you can find more info on our site
http://www.CollectionStudio.com/ Open link in new window .

Registration FAQs

1. I have lost the license name and/or code.

or

2. I have downloaded a new version of Collection Studio, installed it, pasted registration info into the corresponding fields, but Collection Studio isn't unlocked. What should I do?

Use CollectionStudio.com Contact Form (www.collectionstudio.com/contact/ Open link in new window) to send an email message with details of your registration:

  • Your first and last name
  • Your E-mail address
  • The approximate date of registration

You will get your license code and/or name via email as soon as we have checked your registration info.

3. I have registered Collection Studio, got the license name and code, pasted them into the fields, but I can't unlock the program.

First check if you have pasted the license name and code into the corresponding fields.

Then check if you have pasted the license name and code into the fields without spaces before and after the info.

If it doesn't help use CollectionStudio.com Contact Form (www.collectionstudio.com/contact/ Open link in new window) and write your license name and code.

4. I've got a @yahoo.com/@hotmail.com, etc. e-mail and I can't register Collection Studio at RegNow.

Fill in the E-mail field at RegNow with the following e-mail address: info@collectionstudio.com.

After you have registered at RegNow, use CollectionStudio.com Contact Form (www.collectionstudio.com/contact/ Open link in new window) to send your registration info:

  • Your first and last name
  • Your current E-mail address (e.g. johnsmith@yahoo.com)
  • The approximate date of registration

As soon as we get your registration info from RegNow we'll send it to your real (e.g. johnsmith@yahoo.com) e-mail.

5. Trial term is finished. Will I loose my data?

No. "Export" tool works always even when trial term is finished.


System Requirements

To use Collection Studio efficiently your computer must have following components:

Hardware

System Requirements - Hardware

  • PC/laptop with Pentium-133 processor minimum or compatible;
  • 32 Mb Ram minimum;
  • 12 Mb of free hard disk space.

Software

System Requirements - Program Files

  • Operating system Microsoft Windows™ 95/98/Me/NT/2000/XP/2003/Vista/7;
  • Internet Explorer™ 4.0 or later.


Collections

Collection Studio works with your collections in following way: one collection file - one collection. With one instance of the Collection Studio only one collection could be loaded. But you can run several Collection Studios at one time. Generally all information about your collection is stored in one *.COL file on you local drive or USB device (there is an option when you could store images outside of the collection file in order to keep *.COL file smaller and faster at loading).

The following diagram shows the content of the collection:

  • Fields setup
  • Items:
    • Collectible
    • Contact
    • Country
    • Currency
    • Quality level
  • Containers
  • Images

See also

  • Creating new collection


Creating new collection

It is very easy to create your own collection type - custom collection in CollectionStudio. Follow instructions below step-by-step:

1. Creation of the collection

Open CollectionStudio; Press "New collection" button in toolbar or in main menu. In the opened dialog select any collectible configuration in the list. Each configuration differs only by included fields. You can select "without fields" and specify your own fields later:

Creation of the custom collection: Dialog New Collection
Creation of the custom collection: Dialog New Collection.

Press OK button.

2. Specifying collection options

Automatically "Options" window will be opened where you can setup all fields for custom collectible. Later you can open "Options" window for your custom collection in any time.

3. Specifying collectible fields

On the "Fields" tab page (see picture below) you can add unlimited number of fields for your collectible with specific type. Each type has its own behaviour in program. For example, for "Country" type you can have additional table "Countries" with pre-build list of countries. Also CS has different statistics views for each field type.

Document options: Fields setup
Document options: Fields setup.

Press OK button.

4. Specifying name of the file and location

5. Adding new collectibles

In the main list you can see additional columns with your fields where you can list all your collectibles.

List with custom fields
List with custom fields.

In the "Edit" dialog you can view and change value for your custom fields.

6. Saving your collection

Copyright © 2004-2018 by CollectionStudio.com Open link in new window
top


Containers

With Collection Studio you could add unlimited number of different containers in collection. This entity physically divides all your collectibles on several parts. For example you could add following types of container:

  • Common container
  • Wish list - container, where you could place any wish collectibles; Currently there is no differences between "Wish list" and "Common container" container types;
  • Recycler bin - in the first container of this type, will be placed all deleted collectibles;

When you have added at least one container you will be able to move your collectibles using between containers using "Move into" command (hot key Ctrl+M).

When you want just to group several collectibles by specific characteristics probably it is very useful to use list filter feature, instead of keeping these collectibles in separate containers.

Containers and its properties were introduced in the Collection Studio 3.56.


Collectible Characteristics

Collectible and its characteristics

Every collectible contains of unlimited number of user defined fields (of different types) and a set of predefined by CollectionStudio fields. Using this combination you can specify your unique collectible which corresponds all your requirements for collection organisation.

1. Predefined fields

The following characteristics of the collectible are pre-build in Collection Studio:

  • ID in your catalog
  • Storage
  • External number
  • Income date
  • Income from

    (donator)

  • Duplicates

    Number of duplicates

  • Price - shows the price you have paid for given collectible;
  • Catalog price - shows catalog price for given collectible;
  • Purchase comments
  • Images

    unlimited number of images, photos or scans.

  • Barcode

    Barcode data for fast access to the collectible entry using barcode reader;

  • Links

    unlimited number of web links;

  • Quality

    Quality condition.

  • Comments

    notes and comments about given item; See, Comments for more details about work comments.

  • Status

    Status of the collectible: in collection, loaned, lost, private, coming and etc;

2. Supported field types

The following types of field are supported in latest CollectionStudio for collectible definition; You could add unlimited number of fields with the same type:

These fields you could specify in "Options" window.

String | single line text;
Signed number | single signed number without comma;
Floats | signed number with floating point;
Face value the same as Floats, used for grouping with currency field in statistics; Added since CS 4.66;
With this field you can show and edit the value using "1/3", "1/5", "1/12" string etc instead of 0.3333 and 0.2 etc;
During output of the very long face value, such as "500000000 Dinar" additional thin spaces will be added - "500 000 000 Dinar".
Weight | signed number with floating point; Added since CS 4.71;
Boolean | Yes/no flag;
Combobox | Editable string with drop down list; This drop-down list will be automatically populated by values from corresponding field of all collectibles in current collection. In options window you can specify default field values, which will be available in the drop down list during collectible edit;
Material | The same as "Combobox"; Enables "By material" special statistics view. Added since CS 4.71;
Date | indicate date: day, month and year;
Date Plus | specify date (day, month and year) or only year or century in the "Collectible Edit" dialog on the fly;
Period | 2 dates field: start date and end date; Added since CS 4.66;
Country | Combobox with selection list (without possibility to edit, just to select). When there's a field with Country type you will see additional statistics views;
Currency | Combobox with selection list (without possibility to edit, just to select). When there's a field with Currency type you will see additional statistics views;
Quality | Combobox with selection list (without possibility to edit, just to select). When there's a field with Quality type you will see additional statistics views; Quality states is modified for any collectible on separate tab page in "Collectible Edit" dialog;
Year | When there is at least one field with Year type, you will see additional statistics views: "By Year", "By Century" and "Without Year";
GPS Coordinate Editable string with set of predefined web links (Google Maps, Yahoo Maps) to show current coordinate on the map;
Since 4.72: New predefined links were added: ACME Mapper Maps-For-Free.
Comments | multi-line edit area with formatting options, such as bold, italic, colors etc;
Group separator | shows horizontal line on the "Collectible Edit" dialog with text; Added since CS 4.66;
Page separator | divides "Collectible Edit" dialog on several tab pages. Added since CS 4.66.


Collectible Title

Collectible title is identifier in your collection which exactly and unique points to specific collectible; For coins, for example, the title should contain currency and face value, country and emission year; This collectible title is used in following situation in CollectionStudio:

  • As title of the "Collectible Edit" window
  • In the listing for specific country/currency/quality/contact item
  • In statistics section for identifying most expensive collectibles, youngest and old etc
  • In statistics section for particular combination: collectible field and its value
  • In main bar when you select the collectible;
  • During export into several specific output formats
  • During search: you can specify exactly "5 Grosh, Poland (1967)" and you will get an exact match as a result.
  • etc

Specifying collectible title

With CollectionStudio you do not need to manually add the collectible title. Instead you just specify characteristics of your collectible in the "Collectible Edit" window. All the rest will be done automatically for you by the program. And you are just provided with easy possibility to adjust to your needs the template of the collectible title in the Collection Option window, General settings:

Collection Option window: General settings

For coins, for example, the default value is:
#[index] [face value] [currency], [country] ([year])

For any collectible, you can use a lot of predefined tags to expand information of the collectible in its title. Also you can use your all tags of your collectible fields, surrounded with square braces. For better performance, all template names should be in lower case.

For example, if you have a field "City", CollectionStudio will automatically create for this field following properties:

  • Title: "City" - will be displayed in the "Edit" window;
  • Tag: "city" - will be used in export/import etc;

You can change them as you wish:

  • Title: "&Nearest City" - will be displayed as "Nearest City"
  • Tag: "City_Tag";
  • And then adjust collectible title template: #[index] [name], [country] ([city_tag])
  • or #[index] [city_tag], [name]

Examples

  • #[index] [title]
  • #[index] [face value] [currency], [country] ([year])
  • #[index] [material], [area], [country]
  • #[index] "[title]", [author] ([year])
Template | Values | Collectible title
#[index] [face value] [currency], [country] ([year]) | index = 150 face value = 100 currency = USD country = USA year = 2015 | #150 100 USD, USA (2015)
 | index = 150 face value = 100 currency = USD country = USA year = | #150 100 USD, USA
 | index = 150 face value = 100 currency = USD country = year = 2015 | #150 100 USD (2015)


Country Characteristics

A political and physical map of the world Country is used in CollectionStudio as a nation state, a political entity asserting ultimate authority over a geographical area. All pre-build countries in CS are existent or historical states.

Supported fields

The following characteristics of countries are available in the Collection Studio:

  • Country name
  • Existence flag

    This field provides some general and reference information for item.

  • Existence period (from and to)

    This field provides some general and reference information for item.

  • Links

    You can add unlimited number of web links;

    For coins and banknote collections each country entry has predefined several links: link to national bank, link to mint and other. For postage stamps we provide also a link to the post office.

    From the other side, you can disable links in country entries using "Options" window if you don't want to have this function in vision in menus and in other CS windows.

  • Images

    For all item types including country entry you can add unlimited number of images, photos or scans.

    From other side, you can completely disable work with images in country entries using "Options" window if you don't need such functionality to be visible in menus and in other CS windows.

  • Comments

    notes and comments about given country; See, Comments for more details about work comments.

  • 5 custom fields

    Additionally, you can log 5 independent characteristics for all countries entries. To setup titles for them, open "Options" dialog.

See also

  • All Item Types - read about registered types of item in Collection Studio;
  • Collectible Types - read all about registered fields for each collectible type in CS.


Currency Characteristics

A currency is the money in circulation in any country; often, specifically, paper money and coins. It is in a continual passing from hand to hand, as of a medium of exchange.

Currencies can be classified as either floating currencies or fixed currencies based on their exchange rate regime. In common usage, currency sometimes refers to only paper money, as in "coins and currency", but this is misleading. Coins and paper money are both forms of currency.

Supported fields

The following characteristics of currencies are available in the Collection Studio:

  • Currency name
  • Origin of name - origin of world currency name
  • Links - unlimited number of web links;
  • Images - unlimited number of images, photos or scans.
  • Comments - notes and comments about given currency; See, Comments for more details about work comments.

note Note: Additionally, you can log 5 independent characteristics for all currency's entries. To setup titles for them, open "Options" dialog.

See also

  • All Item Types - read about registered types of item in Collection Studio;
  • Collectible Types - read all about registered fields for each collectible type in CS.


Quality Level Characteristics

The quality field of the collectible is used to store information about degree of preservation using predefined list of quality levels.

Supported fields

The following characteristics of quality levels are available in the Collection Studio:

  • Quality level title
  • Quality mark
  • Links - unlimited number of web links;
  • Images - unlimited number of images, photos or scans.
  • Comments - notes and comments about given quality level; See, Comments for more details about work comments.

note Note: Additionally, you can log 5 independent characteristics for all quality levels information. To setup titles for them, open "Options" dialog.

See also

  • Coins quality levels;
  • Banknotes quality levels;
  • All Item Types - read about registered types of item in Collection Studio;
  • Collectible Types - read all about registered fields for each collectible type in CS.


Contact Characteristics

Supported fields

The following characteristics of contacts are available in the Collection Studio: contact item

  • Name;
  • E-mail address;
  • Web site address;
  • 5 Phone Numbers (work, home, fax, pager, mobile);
  • Address with six fields: 2 lines of address, city, state/province, zip code and country name;
  • Links - unlimited number of web links;
  • Images - unlimited number of images, photos or scans;
  • Comments - notes and comments about given contact; See, Comments for more details about work comments.

note Note: Additionally, you can log 5 independent characteristics for all contact entries. To setup titles for them, open "Options" dialog.

See also

  • All Item Types - read about registered types of item in Collection Studio;
  • Collectible Types - read all about registered fields for each collectible type in CS.


Standard fields

For all collectibles in the CollectionStudio, there is a set of predefined tags for standard fields:

Standard field name | Tag
Index | [index]
Duplicates | [duplicates]
Comments | [comments]
External Index | [externalindex]
Storage | [storage]
Donator | [donator]
Status (in collection, lost, returned, unknown, etc) | [status]
Quality | [quality]
Quality Comments | [quality_comments]
Quality Mark | [quality_mark]
Country | [country]
Country Comments | [country_comments]
Title of Country National Bank | [country_nationalbank]
URL of Country National Bank | [country_nationalbankurl]
Year | [year]
Currency | [currency]
Currency Comments | [currency_comments]
Origin of Currency Name | [currency_nameorigin]
Created | [created]
Income | [income]
Price | [price]
Real Price | [realprice]
Purchasing comments | [buy_comments]
Total images | [images]
Number of linked images (stored outside col dat file) | [images_linked]
Number of inserted images (stored inside col dat file) | [images_inserted]
Total attachments | [attaches]
Number of linked files (stored outside col dat file) | [attaches_linked]
Number of inserted attachments (stored inside col dat file) | [attaches_inserted]
Number of web links | [links]

These tags you can use:

  • In title of collectible
  • In template view


Collection Studio Main Menu

Collection Studio has Main Menu which consists of following thematic sections:

  • Menu: File;
  • Menu: Collection;
  • Menu: Tools;
  • Menu: View;
  • Menu: Help.


File

Menu: File

Image of the 'New' action New empty space Hot key: Ctrl+N | Create a new collection. This action can be accessed using toolbar.
Image of the 'Open' action Open empty space Hot key: Ctrl+O | Open an existing collection. This action can be accessed using toolbar.
empty space Save empty space Hot key: Ctrl+S | Save the active collection. This action can be accessed using toolbar.
empty space Save As | Save the active collection with a new name
empty space Save View | Save the active view of the opened collection into the file with specified format (ASCII text file or HTML file). This action can be accessed using toolbar.
empty space Page Setup | Setup page margins, paper source and etc for printing
Image of the 'Print' action Print empty space Hot key: Ctrl+P | Print the active view of the opened collection. This action can be accessed using toolbar. Read about "Print tool".
empty space Print Preview | The Print Preview option allows you to view and edit your output before printing, saving you time and paper.
empty space Print Setup | Change the printer and printing options
Image of the 'Exit' action Exit empty space Hot key: Alt+F4 | Quit the application; prompts to save collection

See also

  • Menu: Collection;
  • Menu: Tools;
  • Menu: View;
  • Menu: Help.


Collection

Menu: Collection

empty space New Collectible
empty space Hot key: Ctrl+1
 Add new collectible into collection
empty space Duplicate...
empty space Hot key: Ctrl+D
 Duplicate collectible into new entry in the same container. Automatically open "Edit Collectible" window if "Settings/Duplicate.AutoOpen" is switched ON in system settings (this is by default).
empty space New Currency
empty space Hot key: Ctrl+2
 Add new currency
Image of the 'New Country' action New Country
empty space Hot key: Ctrl+3
 Add new country
Image of the 'New quality level' action New Quality
empty space Hot key: Ctrl+4
 Add new quality level
empty space New Contact
empty space Hot key: Ctrl+5
 Add new contact
Image of the 'Edit' action Edit
empty space Hot key: Enter
 Edit selected item. This action can be accessed using toolbar.
Image of the 'Delete' action Delete
empty space Hot key: Ctrl+Del
 Delete selected item. This action can be accessed using toolbar. If you have "Recycle Bin" container, the collectible will be moved there instead of the deletion. Deletion in the "Recycle Bin" container will remove collectible from the collection without possibility to restore it.
empty space Set new status | Set new status of selected collectible using "New status" dialog; Using collectible statuses (such as lost, coming soon, loaned to somebody etc) you can specify actual state of all your collectibles. Using row colors according collectible statuses you can easy identify specific collectibles in the list of collectibles.
empty space New Container | Create a new collectibles container.
empty space Delete Container | Delete selected container. All inner collectibles will be moved into the Recycle Bin if it exists.
empty space Synchronize | Upload collectible list on server and update information modified by you online.
empty space Container properties | Show/change available properties of the container using "Container properties" widow.
empty space Options
empty space Hot key: F9
 View or change options for your collection:
  • Summary - summary for opened Collection Studio Document;
  • General - general setup options of the Collection Studio Document;
  • Fields Setup - available only in custom collections;
  • Custom Fields Setup - setup additional user defined fields for collectible, country, currency, contact and for quality level items;
  • Remote web account - manage your collectionstudio.com web account.

See also

  • Menu: File;
  • Menu: Tools;
  • Menu: View;
  • Menu: Help.


Tools

Menu: Tools

find button Find empty space Hot key: Ctrl+F | Search in your collection items that match search query. This action can be accessed using toolbar.
empty space Export | Exports information about all collectible items in collection into the file using "Export Tool". Supported file formats are: ASCII text file, XML, CSV and SQL-scripts. This action can be accessed using toolbar.
empty space Import | Imports information from the file about new collection items. Supported file formats are: XML. This action can be accessed using toolbar. Read about "Import tool".
empty space Plugins | Run plugin for single collectible or for the whole collection. Read about "plugins".
empty space Dates Calculator | Open Dates Calculator Tool. The "Dates Calculator" tool provides conversion from various date formats (Moslem Dates, Hebrew Dates, Japanese Dates etc) into gregorian date format.
Image of the 'Open calculator' action Calculator | Open standard MS Windows® Calculator. You can use Calculator to perform any of the standard operations for which you would normally use a handheld calculator. Calculator performs basic arithmetic, such as addition and subtraction, as well as functions found on a scientific calculator, such as logarithms and factorials.
empty space Update country list | Update country list; prompts to cancel action
Image of the 'Remove unused countries' action Remove unused countries | Remove unused countries; prompts to cancel action
empty space Update currencies list | Update currencies list; prompts to cancel action
Image of the 'Remove unused currencies' action Remove unused currencies | Remove unused currencies; prompts to cancel action

See also

  • Menu: File;
  • Menu: Collection;
  • Menu: View;
  • Menu: Help.


View

Menu: View

empty space Toolbar | Show or hide the toolbar. This menu item is checked when toolbar is shown.
empty space Info bar | Show or hide the information bar. This menu item is checked when information bar is shown.
empty space List Filter | Show or hide the filter of the main list. This bar allows you to hide or to show specific rows in the list using several criterias. This menu item is checked when filter bar is shown.
empty space Collection Tree | Show or hide the Collection Tree bar. This menu item is checked when Collection Tree Bar is shown.
empty space Image Bar | Show or hide the Image bar. This menu item is checked when Image Bar is shown.
empty space Main bar | Show or hide the main bar. This menu item is checked when main bar is shown.
empty space Status bar | Show or hide the status bar. This menu item is checked when status bar is shown.
empty space Full Screen empty space Hot key: F11 | Toggle view between full screen and normal mode. In full screen mode, main List View is expanded to size of the screen.
empty space Collectibles empty space Hot key: Alt+1 | Switch to "Collectibles" view. This menu item is checked when you are already in the "Collectibles" view.
empty space Currencies empty space Hot key: Ctrl+2 | Switch to "Currencies" view. This menu item is checked when you are already in the "Currencies" view.
empty space Countries empty space Hot key: Alt+3 | Switch to "Countries" view. This menu item is checked when you are already in the "Countries" view.
empty space Quality empty space Hot key: Alt+4 | Switch to "Quality levels" view. This menu item is checked when you are already in the "Quality levels" view.
empty space Contact empty space Hot key: Alt+5 | Switch to "Contact" view. This menu item is checked when you are already in the "Contact" view.
empty space Interface Language | Select an interface language.
Image of the 'Open settings window' action Settings empty space Hot key: F12 | Open Collection Studio settings dialog to view and/or change program's settings. This action can be accessed using toolbar.

See also

  • Menu: File;
  • Menu: Collection;
  • Menu: Tools;
  • Menu: Help.


Help

Menu: Help

Image of the 'Help' action Help empty space Hot key: F1 | View Collection Studio help. This action can be accessed using toolbar.
Image of the 'Hot keys' action Hot keys | View available hot keys
Image of the 'Registration' action Registration | Register your Collection Studio copy
Image of the 'Online Registration' action Buy license | Online registration of the Collection Studio at http://www.CollectionStudio.com/registration/ Open link in new window
Image of the 'Our web-site' action Our web-site | Visit official developer's web-site at http://www.CollectionStudio.com/ Open link in new window
Image of the 'Check for new version' action Check for new version | Check for new version of the Collection Studio program on official developer's web-site: http://www.CollectionStudio.com/newversion/ Open link in new window
Image of the 'Forums' action Forums | Visit official Collection Studio Forums at http://www.CollectionStudio.com/en/forums/ Open link in new window
empty space About Collection Studio | Display program information, version number, names of all translators and copyright

See also

  • Menu: File;
  • Menu: Collection;
  • Menu: Tools;
  • Menu: View.


Windows

  • Toolbar
  • Mainbar
  • List
  • List Filter
  • Settings
  • Document options
  • Map View
  • Container properties
  • Edit dialog:
    • Tab: Attachments
    • Tab: Links
    • Tab: Images
    • Tab: Comments


Main Bar

The "Main Bar" window provides easy-access button for main operations and short information for selected item.

'Open' button | Open | Opens an existing collection.
'Save' button | Save | Saves the active collection.
'Settings' button | Settings | Opens Collection Studio settings dialog to view and/or change program's settings.
'Help' button | Help | View Collection Studio help.
'Exit' button | Exit | Quits the application; prompts to save documents.

note Note: You can hide or show this bar using "View" menu. Visibility state of the main bar is automatically loaded at Collection Studio start-up.

See also

  • Menu: File;
  • Menu: Collection;
  • Menu: Tools;
  • Menu: View;
  • Menu: Help.


Toolbar

The "Toolbar" window provides quick buttons for main operations.

You can show or hide toolbar using "View" menu. Visibility state of the toolbar is automatically loaded at Collection Studio start-up.

The "Toolbar" window
Collection Studio Toolbar.

Commands

The following commands appear in toolbars:

'New' button | New Hot key: Ctrl+N | Create a new Collection Studio Document.
'File Open' button | Open Hot key: Ctrl+O | Open an existing Collection Studio document.
'Save' button | Save Hot key: Ctrl+S | Save the active Collection Studio Document.
'Print' button | Print Hot key: Ctrl+P | Print the active view of the opened collection. Read about "Print tool".
'Save View As' button | Save view | Save the active view of the opened Collection Studio document into the file with specified format (it can be ASCII text file, HTML file or other).
'Find' button | Find Hot key: Ctrl+F | Search in the whole collection (collectibles, countries, currencies, quality levels) that match search query.
'Statistics View' button | Statistics View | Switch to "Collection Statistics" view.
'Add collectible' button | Add collectible Hot key: Ctrl+1 | Add new collectible item in current collection.
'Edit' button | Edit Hot key: Enter | View/change information about selected item.
'Comments' button | Comments | View/change comments for selected item.
'Ited Delete' button | Delete Hot key: Ctrl+Del | Delete selected item.
'Export' button | Export | Exports information about all items in collection into the file using Collection Studio "Export Tool". Supported file formats are: XML, CSV, TXT, XLS, SQL etc.
'Import' button | Import | Imports information from the file about new collection items. Supported file formats are: XML. Read about "Import tool".
'Settings' button | Settings Hot key: F12 | Open "Collection Studio Settings" dialog to view and/or change program's settings.
'Help' button | Help Hot key: F1 | View Collection Studio help.

See also

  • Menu: File;
  • Menu: Collection;
  • Menu: Tools;
  • Menu: View;
  • Menu: Help.


Collection Studio Document

To open this "Options" window for current CS Document you could use hot key: F9.

Document Options

  • Summary - summary for opened Collection Studio Document;
  • General - general setup options of the Collection Studio Document;
  • Fields Setup - available only in custom collections;
  • Custom Fields Setup - setup additional user defined fields for collectible, country, currency, contact and for quality level items;
  • Remote web account - manage your collectionstudio.com web account.


Collection Studio Document Options: Summary

Document Options: Summary
Screenshot of the "Document Options" window with opened "Summary" tab page.

Directory | Displays location of the CS Document file. You can click this string to open mentioned folder in the MS Explorer.
Filename | Specifies the name of the CS Document file.
File size | Displays the size of the CS Document file
Created | Displays the date when the CS Document file was created.
Last changed | Displays the date when the information in this file was last changed.
Collection Title |
Owner |
Comments |
Collectibles count |
Number of images |
Set password | Sets the password for opened CS Document. See "Tool: Database Security" for more details.
Remove password | Removes the password for opened CS Document. See "Tool: Database Security" for more details.

See also

  • Collection Studio Document - general information about Document in Collection Studio;
  • Collectible Characteristics - read about registered fields for each collectible.


Collection Studio Document Options: General

Document Options: General
Screenshot of the "Document Options" window with opened "General" tab page.

Settings: Title of Collectible

The full collectible title is used in several places of the Collection Studio to exactly indicate one collectible item from another:

  • In title of the "Edit Collectible" window;
  • In "Search result" view;
  • In the list of images in the "Gallery" view;
  • On "Collectibles" tab of the country/currency/contact/quality edit window.

Each collectible type has its own template variables. Please, use the following table to determine all possible template fields for your collectable:

  • banknote template fields;
  • book template fields;
  • coin template fields;
  • disc template fields;
  • movie template fields;
  • poster template fields;
  • stamp template fields.

Document Options

You can set option to create a backup file during each saving of the Collection Studio Document. See Settings for details.

Options: Visualization
Use collectible status | Check if you want to work with collectible status. In this case additional "Status" tab page for each collectible will be shown. Default state: Checked.
Options: Item Links
Allow links in collectible items | Check if you want to add links for each collectible item separately (in this case an additional tab will appear in the Collectible Edit window). If you have disabled this feature link tab in the Collectible Edit window will be available only for collectibles which already have some links. Default state: On. For each collectible, automatically all links associated with it will be taken: - all links from corresponding country / quality / currency, - all links from contact ponited by donator field.
Allow links in country item | Check if you want to add links for each country item separately (in this case an additional tab will appear in the Country Edit window). If you have disabled this feature link tab in the Country Edit window will be available only for countries which already have some links. Default state: On.
Allow links in currency item | Check if you want to add links for each currency item separately (in this case an additional tab will appear in the Currency Edit window). If you have disabled this feature link tab in the Currency Edit window will be available only for currencies which already have some links. Default state: On.
Allow links in quality level item | Check if you want to add links for each quality level item separately (in this case an additional tab will appear in the Quality Level Edit window). If you have disabled this feature link tab in the Quality Level Edit window will be available only for quality levels which already have some links. Default state: Off.
Allow links in contact item | Check if you want to add links for each contact item separately (in this case an additional tab will appear in the Contact Edit window). If you have disabled this feature link tab in the Contact Edit window will be available only for contacts which already have some links. Default state: On.
Options: Item Images
Allow images in collectible items | Check if you want to add images for each collectible item separately (in this case an additional tab will appear in the Collectible Edit window). If you have disabled this feature Image tab in the Collectible Edit window will be available only for collectibles which already have some images. Default state: On.
Allow images in country item | Check if you want to add images for each country item separately (in this case an additional tab will appear in the Country Edit window). If you have disabled this feature Image tab in the Country Edit window will be available only for countries which already have some images. Default state: Off.
Allow images in currency item | Check if you want to add images for each currency item separately (in this case an additional tab will appear in the Currency Edit window). If you have disabled this feature Image tab in the Currency Edit window will be available only for currencies which already have some images. Default state: Off.
Allow images in quality level item | Check if you want to add images for each quality level item separately (in this case an additional tab will appear in the Quality Level Edit window). If you have disabled this feature Image tab in the Quality Level Edit window will be available only for quality levels which already have some images. Default state: Off.
Allow images in contact item | Check if you want to add images for each contact item separately (in this case an additional tab will appear in the Contact Edit window). If you have disabled this feature Image tab in the Contact Edit window will be available only for contacts which already have some images. Default state: On.
Collectible title
Singular | Title of your collectible in singular form, for example: coin.
Plural | Title of your collectible in plural form, for example: coins.
Template | Specify collectible title using field tags

See also

  • Collection Studio Document - general information about Document in Collection Studio;
  • Collectible Characteristics - read about registered fields for each collectible.


Collection options: Fields

This options tab page is used for specifying collectible fields for current collection.

Document Options: Fields
Screenshot of the "Document Options" window with opened "Document Fields" tab page.

Button "Add" | Add a new field
Button "Delete" | Delete currently selected field; Prompts to cancel action.
Button "Up" | Move field in the list up; It changes default columns sequence and changes the sequence of fields in the "Collectible Edit" dialog.
Button "Down" | Move field in the list down; See details of the Button "Up".
Button "Load" | Load collection structure from the file. Prompt to cancel action. During load, current collection setup and all collectibles will be removed. Used file extension: *.csds.
Button "Save" Save collection structure into the file. File extension: *.csds.

note Note: You do not need to save collection structure for currently opened collection, while all information is stored in *.COL file; The functionality for saving structure of the collection is used to created a new collection with structure based on already created collection, without manual retyping field list and fields properties.

Title | Name of the field; Will be used in the "Collectible Edit" dialog, in the header of the columns in the main list etc
Type Specify the type of the field data and its appearance;Following field types are available:
  • String - single line text;
  • Signed number - single signed number without comma;
  • Floats - signed number with floating point;
  • Face value - the same as Floats, used for grouping with currency field in statistics; Added since CS 4.66;

    With this field you can show and edit the value using "1/3", "1/5", "1/12" string etc instead of 0.3333 and 0.2 etc;

  • Boolean - Yes/no flag;
  • Combobox - Editable string with drop down list; This drop-down list will be automatically populated by values from corresponding field of all collectibles in current collection.
  • Date - indicate date: day, month and year;
  • Date/Year/Century - specify date (day, month and year) or only year or century;
  • Period - 2 dates field: start date and end date; Added since CS 4.66;
  • Country - Combobox with selection list (without possibility to edit, just to select). When there's a field with Country type you will see additional statistics views;
  • Currency - Combobox with selection list (without possibility to edit, just to select). When there's a field with Currency type you will see additional statistics views;
  • Quality - Combobox with selection list (without possibility to edit, just to select). When there's a field with Quality type you will see additional statistics views; Quality states is modified for any collectible on separate tab page in "Collectible Edit" dialog;
  • Year - When there is at least one field with Year type, you will see additional statistics views: "By Year", "By Century" and "Without Year";
  • GPS Coordinate - Editable string with set of predefined web links (Google Maps, Yahoo Maps) to show current coordinate on the map;
  • Comments - multi-line edit area with formatting options, such as bold, italic, colors etc;
  • Group separator - shows horizontal line on the "Collectible Edit" dialog with text; Added since CS 4.66;
  • Page separator - divides "Collectible Edit" dialog on several tab pages. Added since CS 4.66.
Tag Name of the tag, which will be used in following situations:
  • During export/import into XML or SQL file;
  • During run of any plug-in, because all of them use XML to pass collectible data;
  • In the template view;
  • During creation of the collectible title using its template;
Default values List of default values which will be available in drop down list; Currently this list is used only for Combobox field type.
Added since CS 4.66;
Actions List of actions, separated with line feed. To start a new line press Ctrl+Enter. Each action has following format: "caption"="url"

For example:

Google Maps=http://maps.google.com/maps?q=[value]
Yahoo Maps=http://maps.yahoo.com/?q1=[value]

Here [value] is alias for tag. So, you can use [tag] or [value].

If there are more than 1 action in the list, a button with drop-down menu will be added for the field on the "Edit" dialog. For the example, provided above the this control will look like this:

Edit window with opened custom fields tab page

To place a separator into the menu, just add an additional line in desired position for separator with "Separator" word in it.

See also

  • Collection Studio Document - general information about Document in Collection Studio;
  • Collectible Characteristics - read about registered fields for each collectible.


Collection Studio Document Options: Custom Fields

Document Options: Custom Fields
Screenshot of the "Document Options" window with opened "Custom Fields" tab page.

Edit Edit title for selected field. This title will be used: in the main list, on the custom fields tab page, in column selection menu. You can use F2 short key for fast edit;

If you uncheck custom fields group, the appropriate page will be not shown in the edit dialog.

If you uncheck specific field - it'll be unavailable in the appropriate dialog.

See also

  • Collection Studio Document - general information about Document in Collection Studio;
  • Collectible Characteristics - read about registered fields for each collectible.


Collection Studio Document Options: Remote web account

"Remote Database (catalogue)" functionality was introduced in CS v.3.59 and not jet finished.

Your opinion about this functionality is very important for us!

Please, write your suggestions or comments using "Contact" form or on our Forums.

Thank you in advance. Your CS Team.

Remote Web Account tab
Screenshot of the "Document Options" window with opened "Remote Web Account" tab page.

Remote web account options

Web account
Username | Here you can enter the user name.
Password | Here you can enter the password for the collectionstudio.com site using user name specified in the "Username" field.
Buttons
Create a new account | Open http://www.collectionstudio.com/users/join/ web page in order to register a new web account on the server. Registration is FREE.

Web account options are used in order to create and manage your collections online using collectionstudio.com web site. To upload your collection on the web site you can use "Synchronize" command from the main menu.

See also

  • Collection Studio Document - general information about Document in Collection Studio;
  • Collectible Characteristics - read about registered fields for each collectible;
  • Synchronize tool.


Tab: Attachments

Attachments and its properties were introduced in the Collection Studio 3.54.

Number of attachments per collectible or item is NOT LIMITED.

"Open file" dialog has several predefined file masks for convenient insertion of attachments. If you think that one or several useful masks were missed in the following list, let us know, and we will supplement the list:

  • Text Documents (*.doc; *.rtf; *.pdf; *.txt)
  • Executable files (*.exe; *.com)
  • Audio files (*.mp3; *.wav; *.ogg)
  • Graphic files (*.jpg; *.png; *.gif; *.bmp)
  • All files (*.*)

Hot-keys

F1 | Opens this help window.
F2 | Opens "Attachment Edit" dialog for selected attachment in the list.
Ins | Add a new attachment.
Del | Remove selected link; Prompts to cancel action.

Attachment properties window

Title | Specifies the title of the attachment.
Filename | Specifies path filename of the link to file or specifies filename of the attachment.
Category | Specifies the category of the selected attachment.


Tab: Images

With Images tab you can view and edit information about each collectible image or scan.
You can easy add images using this tab window.
Number of images per collectible is NOT LIMITED.

Screenshot: Images tab
Screenshot of the "Banknote Edit" window with opened "Images" tab page.

Image properties were introduced in the Collection Studio 2.41.

During loading of all previous Collection Studio Documents the following rules are used to populate some image fields:

  1. if image title consists of "specimen" sub string, the image will be marked as specimen;
  2. if image title finished with "_f" or consists of "_obverse" or "face", the image type will be marked as "Face";
  3. if image title finished with "_b" or consists of "_reverse" or "back", the image type will be marked as "Back".
Tab: Images, Menu
Menu of images
Add image | Load images from the files.
Delete image | Remove selected image from Collection Studio document; Prompts to cancel action.
Edit | Open dialog to edit all image fields.
Save image as | Save image into the file.
Copy to clipboard | Copy the selected image into clipboard.
Paste from clipboard | Paste image from clipboard if there is any one. During copying, image will be compressed into PNG format.
Show tooltips | Show tooltips for images if checked (toggle mode).
Help | Show this help topic.

Setup

You can setup visibility of Images tab in the "Document Options" window separately for particular type of item.

Supported image formats

  • GIF - CompuServe's Graphics Interchange Format;
  • JPG (JPEG) - a lossy image format widely used to display photographic images;
  • BMP (WBMP) - Microsoft Windows Bitmap formatted image;
  • WMF - Windows Meta File (Vector graphics);
  • EMF - Enhanced (Windows) MetaFile, an extension to WMF (Vector graphics);
  • PNG - Portable Network Graphic (lossless, recommended for display and edition of graphic images);
  • TIF (TIFF) - Tagged Image File Format (usually lossless, but many variants exist, including lossy ones);
  • TGA - Truevision TGA (Targa) image;
  • PCX - a lossless format used by ZSoft's PC Paint, popular at one time on DOS systems.

Hot-keys

The table below summarizes all hot-keys available on the Image tab:

F1 | Open this help window.
F2 | Open Image Edit dialog for selected image.
Ins | Load images from the files.
Del | Remove selected image from Collection Studio document; Prompts to cancel action.
Ctrl+C | Copy the selected image into clipboard.
Ctrl+O | Load images from the files.
Ctrl+S | Save image into the file.
Ctrl+V | Paste image from clipboard if there is any one. During copying, image will be compressed into PNG format.
Ctrl+Ins | Copy the selected image into clipboard.
⇧ Shift+Ins | Paste image from clipboard.

Image properties

Screenshot: Image properties
Screenshot of the "Image properties" window with opened 5 euro banknote.

Web site / Filename URL or path filename of the image.

Catalin wrote: Path to images location: I have CS installed on USB stick only so I can always have the collection with me. But the drive letter changes with every PC so all the 800 images cannot be displayed at all. Can you resolve this?

Implemented solution: For images placed on the removable devices (for example in the "Image Edit" dialog filename is: H:\images\scan1.jpg) we have a special check: when drive letter is changed we automatically check the folder of the device where current Collection Studio Document is placed. So, for example, if current document is placed on the drive "K:\", during loading of the image, we will try next paths of the image in the following order:

  • H:\images\scan1.jpg - trying original path;
  • K:\images\scan1.jpg - trying document path;
  • A, B, C, D ... - trying all possible paths (excluding first two);
Title | Title of the image
Type | Type of the collectible screenshot or photo. Default values: face, back, back and face. By default it shows also all possible types of the image which are used in current document.
Specimen Specimen flag.

This term belongs generally to banknotes but can be used for other collectibles. A specimen banknote is printed to as a way of checking to see whether or not the design is suitable for putting into full production as a currency issue. Sometimes, specimen banknotes are printed for distribution to central banks to aid in the recognition of banknotes from a country other than their own.

Sample image | "Sample image" flag which shows: this image is not actual collectible of current collection.
Comments | Comments for currently selected image
Image copyrights | Copyrights of the images.
View EXIF | View information from EXIF - Exchangeable Image File Format. This feature is supported only for images in JPG format. Exchangeable image file format (Exif) is a specification for the image file format used by digital cameras. The specification uses the existing JPEG, TIFF Rev. 6.0, and RIFF WAV file formats, with the addition of specific metadata tags. It is not supported in JPEG 2000, PNG, or GIF.

Available plugins for images

List of plugins in Collection Studio designed for images
Name | Description
Remove Images | Remove all images from selected collectible
Remove All Images | Remove all images from all collectibles in the collection
Embed all linked images | Embed all linked images for all collectibles in current collection

For complete list of available plugins please check "Plugins" help article.


Tab: Links

Edit: Links tab
Screenshot of the "Edit" window with opened "Links" tab page.

Links and link properties were introduced in the Collection Studio 2.42.

Number of links per collectible or item is NOT LIMITED.

Hot-keys

F1 | Opens this help window.
F2 | Opens Link Edit dialog for selected link in the list.
Ins | Add a new link.
Del | Remove selected link; Prompts to cancel action.

Link properties window

Link properties window
Screenshot of the "Link properties" window.

Title | Specifies the title of the link.
Web site | Specifies URL of the link.
Category | Specifies the category of the selected link.


Tab: Comments

With Comments tab you can create and edit simple text documents or documents with complex formatting.

You can save your comments as a text file, rich text file or text file for MS-DOS. These formats provide greater flexibility when working with other programs. Documents that use multiple languages should be saved as rich text files (RTF).

Tab: Comments, Menu
Show buttons | Show or hide the formatting toolbar. Default state: checked.
Show ruler | Show or hide the ruler. Default state: unchecked.
Wrap to window | Wrap the text to the window size. Remarks: The wrapping options affect only how text appears on your screen.
Load... | Load comments from the RTF file or from ASCII Text file.
Save... | Save comments into the file. Supported formats are: RTF, HTML and ASCII text file.
Help | Show this help topic.

General hot-keys

F1 | Open this help window.
Ins | Load comments from the RTF file or from ASCII Text file.
ESC | Close "Collectible Edit" window, cancel mode.
Ctrl+O | Load comments from the RTF file.
Ctrl+S | Save comments into the file. Supported formats are: RTF, HTML and ASCII text file.
Ctrl+W | Wrap text to the window size. Remarks: The wrapping options affect only how text appears on your screen.

Editing hot-keys

Ctrl+C | Copy - Copy the selection and put it on the Clipboard. The same as Ctrl+Ins.
Ctrl+Ins | Copy - Copy the selection and put it on the Clipboard. The same as Ctrl+C.
Ctrl+X | Cut - Cut the selection and put it on the Clipboard
Delete | Delete
Ctrl+V | Paste - Insert Clipboard contents into current cursor position. The same as Shift+Ins.
⇧ Shift+Ins | Paste - Insert Clipboard contents into current cursor position. The same as Ctrl+V.
Ctrl+Y | Redo previously undone action
Ctrl+A | Select All
Ctrl+Z | Undo the last action
Ctrl+B | Make the selection bold (toggle)
Ctrl+I | Make the selection italic (toggle)
Ctrl+U | Format the selection with a continuous underline (toggle)


Dialog: Move collectible

You can move collectibles between your custom containers using "Move collectible" dialog.

Dialog: Move collectible
Screen shot of the "Move collectible" window.

OK | Move collectible into selected folder. You can also double click in the collection tree to move collectible without pressing OK button.
Cancel | Abort move collectible operation.

Hot-keys

F1 Opens this help window.


Dialog: Container Properties

Containers and its properties were introduced in the Collection Studio 3.56.

Hot-keys

F1 Opens this help window.

Container properties window

Title | Specifies the title of the container.
Type You could add following types of container:
  • Common container
  • Wish list
  • Recycler bin
Use in statistics | Use all collectibles from selected container in statistics section. By Default each container, except Recycle Bin, are used in statistics.
URL | URL of the collection on the collectionstudio.com. This value will be automatically generated during first "Synchronization" call. Default: On.
Visible for all visitors | Allow other collectionstudio.com visitors to see your online collections.

See also

  • Remote account setup
  • Synchronize tool


Windows: Map View

Using Map view you can see distribution of your collectibles in the whole World or at particular regions of the World, such as Europe, Asia, Africa etc.

Work with map

Move map

To move the map, Click the left button of the mouse and drag the map into new position (while continuing to hold down the left mouse button).

Zoom in/out

Change the proximity using middle mouse wheel.

Copy map into clipboard

To copy map (with current scale factor and position) into clipboard, use pop-up menu, which appears after right mouse click.

Save map into file

To save map (with current scale factor and position) into image file (BMP file), use pop-up menu, which appears after right mouse click.

Map setup

In spite of using "Settings" window, you can apply the following additional settings to setup CollectionStudio. These settings can be set only using RegEdit standard Windows® application for the following section in registry:

HKEY_CURRENT_USER\Software\CollectionStudio.com\Collection Studio\

Variable | Description | Default state/value
Map/Gradient.Steps | Specifies number of different colors to be used for filling of countries on the map with specific number of collectibles. | 100
Map/Gradient.ColorStart | Specifies the color for the country on the map with minimal number of collectibles inside selected countries group. All other countries that have more collectibles will be shown with darker color. | 58a6d8 (Hexadecimal, RGB) or 5809880 (Decimal, RGB)
Map/Gradient.ColorEnd | Specifies the color for the country on the map with maximal number of collectibles inside selected countries group. All other countries that have less collectibles will be shown with lighter color. | 2137dc (Hexadecimal, RGB) or 2176988 (Decimal, RGB)

Show complete list of system settings available in CollectionStudio.


Settings

'Settings' button Collection Studio has a set of flexible settings which will help you to use the program fast and easy. Use Main Menu: View > Settings... to open Collection Studio Settings window or use F12 hot-key for fast access.

All settings can be set on the following settings pages:

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update

You can save all settings into the file and load them on another machine. To do this, use supplied two batch files SaveSettings.bat and RestoreSettings.bat for corresponding operations. These files are placed in the installation directory of the Collection Studio.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.


Settings: Miscellaneous Settings

Show splash screen at start-up | Check if you want to show splash screen of the Collection Studio (program version, release date, copyrights information etc) at start up. Default state is ON.
Maximize at start-up | Check if you want to open maximized Collection Studio at start-up. Default state is OFF.
Save size | Check if you want to save size of the main Collection Studio window after program exit. Default state is ON.
Save position | Check if you want to save position of the main Collection Studio window after program exit. Default state is ON.
Snap a Window to the Screen Edge | Snapping a window to the screen edge is an interesting effect - allows you easily align your window/dialog according to your screen border.
Enhanced dialog dragging procedure | Allows to drag all dialogs using mouse pointed in the whole dialog area, instead of just in dialog caption area (standard Windows ® behavior).
Price in | Currency into which all prices will be converted. Default value is empty - show prices with original currencies.
Empty Price | Sign or word used to show item taken for free. For example: "-", "n/a" etc. Default value is "Free".
Date format | If checked - format of the item's date to be shown in the main item's list. Default value is "%B %d, %Y, %A". See available date formats. If unchecked the default short date format from your regional settings will be taken. This is default state of the parameter.
Empty Year | Sign or word used to display not entered 'Year' field of the collectible in the main list view. Default value is "N/A".

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Document Settings

Auto open last accessed collection | Auto open last accessed collection at start up. Default state is ON. This flag can be disabled using command line paramater "-newcollection".
Add list of countries Check if you want to add full list of countries from database into new Collection Studio document. Default state is ON.

note Note: In any time, you can easy add full list of countries using 'Tools' menu.

Add list of currencies Check if you want to add full list of currencies from database into new Collection Studio document. Default state is ON.

note Note: In any time, you can easy add full list of currencies using 'Tools' menu.

Add list of quality levels | Check if you want to add full list of quality levels from database into new Collection Studio document (Quality levels will be taken for specified collection type). Default state is ON.
Update list of countries Check if you want to add list of new countries into Collection Studio document being opened. Default state is OFF.

note Note: In any time, you can easy update list of countries using 'Tools' menu.

Update list of currencies Check if you want to add list of new currencies into Collection Studio document being opened. Default state is OFF.

note Note: In any time, you can easy update list of currencies using 'Tools' menu.

Load country's information | Check if you want to load information for list of countries specified in your Collection Studio document. Default state is ON.

Work with document

Append contact list using donators | Append contact list with new entry when new donator was entered for collectible. Default state is ON.
Use remote database functionality | Enable/disable remote database functionality. Default state is OFF.
Use containers functionality | Enable/disable custom containers (lightboxes) functionality. Default state is ON.

On save

Create a backup file | Create a backup file during saving of the Collection Studio Document. Default state is OFF.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Collectibles Settings

Automatically calculate "Index ID" field | Check if you want automatically set "Index ID" field during creation of the new collectible item. ID will be taken as a maximal index-id in the whole collection plus one. Example: If you have 3 banknotes logged with following IDs: 1,2,5; ID for new item will be 6 (5+1). Default state is ON. This functionality was reviewed in CS 2.46: in previous versions ID was calculated as a size of the whole collection plus one.
Automatically set "Index ID" field on Duplicate | Automatically set "Index ID" field on duplication of the collectible. See "Automatically calculate "Index ID" field" above for description how new ID is calculated. Default state is OFF.
Auto-fill "Country" field using previously added item's country | Check if you want automatically fill value of the "Country" field during new collectible item (coin or banknote) creation. Value will be taken as country of the previously added item. Default state is ON.
Auto-fill "Currency" field using previously added item's currency | Check if you want automatically fill value of the "Currency" field during new collectible item (coin or banknote) creation. Value will be taken as currency of the previously added item. Default state is ON.
Update list of countries | Check if you want automatically add new country entry during creation or modification of your collectible. Default state is ON.
Update list of currencies | Check if you want automatically add new currency entry during creation or modification of your collectible. Default state is ON.
Use extended comments | Allow formatting options in "Comments" tab, such as text font, color, character properties etc.
Show "Country Comments" tab for collectible | Check if you want to see additional tab page for collectible edit window with comments of the collectibles country. If corresponding country doesn't have any comments - tab page will be not displayed. Default state is ON.
Show "Currency Comments" tab for collectible | Check if you want to see additional tab page for collectible edit window with comments of the collectibles currency. If corresponding currency doesn't have any comments - tab page will be not displayed. Default state is ON.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: List Settings

Settings: List Settings
Screenshot of the "Settings" window with opened "List Settings" tab page.

Background color | Sets color of the list area where there's no rows and columns.
Background color, Row 1 | Sets color of the background for all odd rows in the list. For collectible listing this value can be overwritten using row color specified for particular collectible statuses.
Background color, Row 2 | Sets color of the background for all even rows in the list. For collectible listing this value can be overwritten using row color specified for particular collectible statuses.
Auto open generated file when List View is saved | Check if you want automatically start corresponding application for generated file during run of the Save View tool action.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Status / background color

Settings: Status / background color
Screenshot of the "Settings" window with opened "Status / background color" tab page.

Select color | Sets color of the background for currently selected collectible status. The default value is white (#FFFFFF).
Set default | Sets default colors for all collectible statuses predefined in CollectionStudio.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Filename Formats Settings

Save View Filename Format | Specifies the filename format of the exported file with list data. This value supports date and time variables. See available date and time tokens.
"Income" Image Filename Format | Specifies the filename format of the 'Income Statistics' image. This value supports date and time variables. See available date and time tokens.
"Income by Century" Image Filename Format | Specifies the filename format of the 'Income by Century Statistics' image. This value supports date and time variables. See available date and time tokens.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Histogram Settings

Settings

Settings: Histogram Settings
Screenshot of the "Settings" window with opened "Histogram Settings" tab page.

Depth cx | Defines offset of the histogram back by x-axis in pixels
Depth cy | Defines offset of the histogram back by y-axis in pixels
Line spacing | Defines spacing between gray horizontal lines. Set zero to disable this visualization
Gradient as background | Draw gradient background in histogram area. Default state is ON.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

Histogram

In Collection Studio you can see statistics about your collection with histogram. Also you can perform the following actions with histogram:

  • Copy histogram into clipboard;
  • Save histogram as a BMP image file.

Histogram with popup menu
Screenshot of the histogram with popup menu.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Database

Country flags database file
Continent database file

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Sound for Actions

Settings: Setup Sound for Actions

Use sounds | Check this box if you want to use sound scheme in the CollectionStudio.
Action | Select sound for action or leave empty value to disable sound for given action.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: File Association

Use the "File Association" tab to make Collection Studio to be the default application for the *.col file type. If you want to make another application the default program for a *.col file type, just press Remove Association. You must be logged on as an administrator or a member of the Administrators group to change these settings.

Settings: File Association
Screenshot of the "Settings" window with opened "File Association" tab page.

Create Association | Associates .col files with Collection Studio (so Collection Studio opens the file when double-clicking on it. Read how to start Collection Studio and its parameters).
Remove Association | Removes .col files associations with Collection Studio.

If you have no access rights to set file association, you can just create a batch file to open your Document automatically with start of Collection Studio.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Web Update

The Web Update feature in Collection Studio enables you to configure Collection Studio to check the official web site periodically for updates to released products and preview versions of future products. The controls in this window enable you to control how, or if, Collection Studio will perform these checks.

Prompt before checking for updates | Check this option if you would like Collection Studio to prompt you before connecting to the S&S Royal Limited web site to look for updates (http://www.collectionstudio.com/). At each checking interval you will be given an opportunity to cancel the update check until the next scheduled interval (as specified in the Frequency control below). If you turn this option off, Collection Studio will silently connect to the S&S Royal Limited web site at each checking interval. You will only be notified that this has happened if there are updates available or if an error occurs during the checking process.
Frequency | Change the value of this control to change the frequency with which Collection Studio will check the S&S Royal Limited web site for product updates. You can prevent Collection Studio from performing any automatic update checking by selecting the Manual option from the drop-down list. In this event, you can use the Check Now button in this window, or the Check for Updates command in the Help menu to perform a manual check for updates.
Check Now | Click this button to check the CollectionStudio.com web site for product updates now. When update checker is already running this button is automatically disabled and animation is shown.

About web updates

When Collection Studio checks for product updates, it will not use any private data or information (such as registration number and registration name).

If new versions are found, a window will be displayed containing a brief description of the most recent update to each product. You can use this window to go directly to the Collection Studio Product Updates web page and find out more about each update and download any that you are interested in. Note that Collection Studio will never automatically download and install any software on your machine.

Collection Studio will use the Internet connection settings that you have defined for use by Internet Explorer. If you are using a computer that does not have a version of Internet Explorer installed, then it is possible that Collection Studio will not be able to connect to the S&S Royal Limited web site.

All changes you have made on settings in this dialog will be automatically saved after pressing OK button.

Feature since CS 3.51.

See also

  • Miscellaneous Settings
  • Document Settings
  • Collectibles Settings
  • List Settings
  • Status / background color
  • Filename Formats Settings
  • Histogram Settings
  • Database
  • Setup Sound for Actions
  • File Association
  • Web Update


Settings: Date Format

Date Format

%a | Abbreviated weekday name
%A | Full weekday name
%b | Abbreviated month name
%B | Full month name
%c | Date and time representation appropriate for locale
%d | Day of month as decimal number (01 - 31)
%H | Hour in 24-hour format (00 - 23)
%I | Hour in 12-hour format (01 - 12)
%j | Day of year as decimal number (001 - 366)
%m | Month as decimal number (01 - 12)
%M | Minute as decimal number (00 - 59)
%p | Current locale's A.M./P.M. indicator for 12-hour clock
%S | Second as decimal number (00 - 59)
%U | Week of year as decimal number, with Sunday as first day of week (00 - 53)
%w | Weekday as decimal number (0 - 6; Sunday is 0)
%W | Week of year as decimal number, with Monday as first day of week (00 - 53)
%x | Date representation for current locale
%X | Time representation for current locale
%y | Year without century, as decimal number (00 - 99)
%Y | Year with century, as decimal number
%z, %Z | Either the time-zone name or time zone abbreviation, depending on registry settings; no characters if time zone is unknown
%% | Percent sign

Example

%Y%m%d | 20040422
%Y.%m.%d | 2004.04.22
%Y, %B %d | 2004, April 22
%B %d, %Y | April 22, 2004
%B %d, %Y, %A | April 22, 2004, Thursday
%d.%m.%Y | 22.04.2004
%d.%m.%y | 22.04.04
%Y-%b-%d | 2004-Apr-22
%d-%b-%Y | 22-Apr-2004


Settings: System Misc. Settings

In spite of using "Settings" window, you can apply the following additional settings to setup CollectionStudio. These settings can be set only using RegEdit standard Windows® application for the following section in registry:

HKEY_CURRENT_USER\Software\CollectionStudio.com\Collection Studio\

Variable | Description | Default state/value
Language/ShowAsteriks | Enable/disable output of the asterik symbols for not translated strings loaded from lng file. | off
Settings.Quality/MakeBoldUsedQuality | Draw titles of used quality states in bold ("Collectible Edit" dialog). | off
Settings.Quality/HigherMarkIsBest | Higher quality mark is better than lower one. This is used to determine icon of the quality state in "Collectible Edit" dialog. | true
Settings/AddDefaultDiscType | Show default list of disc type on disc "Edit" dialog. | true
Settings/AddDefaultDiscCapacity | Show default list of disc capacity on disc "Edit" dialog. | true
Settings/AddDefaultBookLanguages | Show default list of languages on book "Edit" dialog. | true
Settings/AddDefaultMovieLanguages | Show default list of languages on movie "Edit" dialog. | true
Settings/AddDefaultMovieGenres | Show default list of genres on movie "Edit" dialog. | true
Settings/AddDefaultAwardTypes | Show default list of award types on award "Edit" dialog. | true
Settings/AddDefaultAwardCategories | Show default list of award categories on award "Edit" dialog. | true
Settings/UseComboBoxImg | Use combo box with images for countries/currencies during editing of the collectible. Elsewhere an edit control with drop down list will be used (in this case you are able to add new country/currency directly from the Collectible edit window). Added since 4.71. | false
TemplateView/SortFieldsByName | Sort "All fields" and "Non empty fields" listings in "Template View" tool ascending elsewhere listing will be build without sort. | true
Settings.List/ColumnResizeChangeDoc | Resize of the column, or changes in columns order will be considered as modification of the CS Document. Only when CS Document was modified, you can save you document. | false
Settings.List.Filter/MinRowsToGroup | Minimal number of rows in list of values to enable grouping by first letters during selection of the value in the list filter. | 30
Settings.Container/AutoSelectNew | Auto select new container in the Collection Tree. | true
Settings.View/ConvertFractionalFaceValues | Convert fractional face value of the banknote/coin. For example: 0.5 will be converted into 1/2. | true
ToolSearch/EnableHints | Enable/disable additional hints for suggestion during typing search string in Keyword field of the Find tool. The following titles will be added: country names, currencies, quality levels and contacts. | On
Settings/Duplicate.AutoSelect | Auto-select duplicated collectible. | On
Settings/Duplicate.AutoOpen | Auto-open "Edit" dialog for duplicated collectible, when it is created during "Duplicate" command. If this property is switched ON, value of the property "Settings/Duplicate.AutoSelect" will be ignored (ON will be used). | On
Settings/Collectible.AutoOpenOnCreate | Auto-select in the main list just created collectible. | Off
Images/ResampleMode Index of the algorithm to be used during image resample:
  1. Nearest pixel (image will be not smooth but output will be done very fast);
  2. Bicubic interpolation (accurate image);
  3. Bilinear interpolation (most smoother image output).
3
Images/ResampleMode.Thumbnail Index of the resample algorithm to be used during output of the image thumbnail in "View using" tool:
  1. Disable generation of the thumbnail. In this case Internet Explorer will resize the image by itself (image will be not smooth in most cases);
  2. Nearest pixel (image will be not smooth);
  3. Bicubic interpolation (accurate image);
  4. Bilinear interpolation (most smoother image output).
3
Histogram/MinRangeToTruncateYears | Minimal number of years in range to be drawn in histogram to show reduced equivalent of year value (for example "'13" instead of "2013"). It allows to avoid overlapping of item captions in histogram. | 20
Automation/show_fields_options_for_empty_collection | Open "Fields option" dialog at program start up if collection is empty | On
Export/DateFormat.Xml | Date format for date fields data during export into XML. | %d.%m.%Y
Export/DateFormat.Xls | Date format for date fields data during export into XLS. | %d.%m.%Y
Export/DateFormat.Csv | Date format for date fields data during export into CSV. | %d.%m.%Y
Import/ImportImages | Automatically import collectible images from XML file. | true
Import/ImportLinks | Automatically import collectible links from XML file. | true
Import/ImportAttachments | Automatically import collectible attachments from XML file. | true
Statistics/DefaultCurrency | Default currency for calculation collection price, when user did not select the display currency into which convert all prices; see Settings: Miscellaneous Settings | USD
Map/Gradient.Steps | Specifies number of different colors to be used for filling of countries on the map with specific number of collectibles. | 100
Map/Gradient.ColorStart | Specifies the color for the country on the map with minimal number of collectibles inside selected countries group. All other countries that have more collectibles will be shown with darker color. | 58a6d8 (Hexadecimal, RGB) or 5809880 (Decimal, RGB)
Map/Gradient.ColorEnd | Specifies the color for the country on the map with maximal number of collectibles inside selected countries group. All other countries that have less collectibles will be shown with lighter color. | 2137dc (Hexadecimal, RGB) or 2176988 (Decimal, RGB)

To write "On" or "true" state you should place "1" number in the appropriate property, to write "Off" or "false" state - "0".

See also

  • CS Settings


Tools

Following tools and features are available in the Collection Studio:

  • Database Security;
  • Dates Calculator;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;

And more...
We are always improving Collection Studio so it supports more and more functionality. Feel free to email us for any doubt or request.


Tool "Database Security"

From our customer's e-mail; Barry wrote:
Also a simple password on the program on startup would be appreciated, i understand that absolute security is almost impossible, but to keep prying eyes out at home with school kids and there friends playing on the computer would be terrific !!!

Collection Studio: Set Password Dialog For each Collection Studio Document you can set an access password independently. In this case Collection Studio simply requests the password when you load the document and denies access if the password has not been correctly entered after 3 tries. For further security, CS document comes without any encryption but in binary (hard to read) format.

This feature was designed mostly to protect your collection data from children who use computer generally for games. If you need higher level of your data protection, please, read "Need higher security level?" section below. Password is stored in Collection Studio Document.

This feature is available in Menu Collection / Options / Tab "Summary".

Feature since CS 1.35.

To set password

  1. Open Collection Studio Document;
  2. Open Options window, "Summary" tab page;
  3. Press "Set Password" button;
  4. Enter password and press OK button;
  5. Save Collection Studio Document.

To remove password

  1. Open Collection Studio Document;
  2. Open Options window, "Summary" tab page;
  3. Press "Remove Password" button (it will be available only when password was set before);
  4. Enter old password and press OK button. If password is correct - it will be removed;
  5. Save Collection Studio Document.

To change password

  1. Open Collection Studio Document;
  2. Open Options window, "Summary" tab page;
  3. Press "Remove Password" button;
  4. Enter old password and press OK button. If password is correct - it will be removed;
  5. In Options window, press "Set Password" button;
  6. Enter your new password and press OK button;
  7. Save Collection Studio Document.

Need higher security level?

According to that we have no data encryption in the col file by itself, and if you need to protect data from spy we strongly recommend you to use any encryption programs to remove direct access to col files. For example PGPDisk, TrueCrypt, Jetico BestCrypt data encryption software or other disk encryption software.


Tool "Dates Calculator"

The "Dates Calculator" tool provides conversion from various date formats into Gregorian date format.

'Dates Calculator' window of the Collection Studio

Supported date formats are:

  • Moslem Lunar Calendar (Hejira);
  • Moslem Solar Calendar;
  • Hebrew Dates;
  • Japanese Dates;
  • Thai Buddhist Calendar;
  • Bengali (Bangladesh) numeric conversion;
  • Mongolian numeric conversion;
  • Nepali Dates - Bikram Samvat Era [VS] new.

Other numerals

Hindi numerals | Hindi numerals
Nepalese numerals | Nepalese numerals

Change log

Dates Calculator Change Log
3.0.3 | 17/Dec/2008 | Fixed hieroglyph "Sei" image for Japanese calculator.
3.0.2 | 2/Aug/2008 | Fix of XML parser in plugin mode;
 |  | Upgraded 'Mem' letter of Hebrew alphabet;
 |  | Temporary removed tooltips in standalone executable.
3.0.1 | 29/Feb/2008 | Glyphs updates.
3.0.0 | 18/Jan/2008 | Using CS Plugin Architecture;
 |  | Fixed about dialog crash on some systems;
 |  | Images and glyphs were revised.
2.1.0 | 27/Nov/2007 | Nepali Dates - Bikram Samvat Era [VS].
2.0.0 | 12/Feb/2007 | Larger icons for buttons.
 |  | All icon glyphs are revised and recreated.
 |  | Support for Bengali (Bangladesh) numeric conversion.
 |  | Fix for Hebrew and Thai dates for BC era.
 |  | Support for Mongolian numeric conversion.
1.4.0 | 04/Dec/2006 | Support for Thai Buddhist Calendar.
 |  | Program Icon Revised.
1.3.0 | 07/Oct/2006 | Support for Moslem Lunar Calendar Open link in new window (Hejira).
 |  | Renamed labels for world used calendars shortcuts.
1.2.0 | 19/Aug/2006 | Support for apostrophe for Hebrew digits to avoid misspell with "Jud".
 |  | Tooltips for language specific numbers buttons.
1.1.0 | 28/May/2006 | Fixed redraw of buttons, no artifacts.
 |  | Japanese dates calculator.
 |  | Tooltips for command buttons.
1.0.0 | 30/Jan/2006 | Support of multi dates.
 |  | Hebrew dates calculator.
 |  | Improved glyphs of Arabic numbers.
 |  | Fixed problems with buttons transparency.
 |  | Project renamed to "Dates Calculator".
0.0.0 | 12/Jan/2006 | Basic version of "Arabic Dates Calculator" released.

Other tools

  • Database Security;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;


Tool "Export"

The "Export" tool provides the export of the whole collection or its parts into the file with specific format.

Supported formats for export

Current version provides the following formats:

  • ASCII Text File (extension: txt);
  • XML Table (extensions: xml) - with this format you could export all attached images to collectible;
  • MS Excel file (extensions: xls);
  • HTML (web page);
  • CSV File (extension: csv);
  • SQL Scripts (extensions: sql).

If you need to export just the current view (as you can see it in the list), you should use "Save View Tool" of Collection Studio. Later you can easy import all exported data using "Import" tool.

During export, CollectionStudio prevents empty columns exporting (this filter is applied only for rarely used fields).

System settings

In spite of using "Settings" window, you can apply the following additional settings to setup CollectionStudio. These settings can be set only using RegEdit standard Windows® application for the following section in registry:

HKEY_CURRENT_USER\Software\CollectionStudio.com\Collection Studio\

Variable | Description | Default state/value
Export/DateFormat.Xml | Date format for date fields data during export into XML. | %d.%m.%Y
Export/DateFormat.Xls | Date format for date fields data during export into XLS. | %d.%m.%Y
Export/DateFormat.Csv | Date format for date fields data during export into CSV. | %d.%m.%Y

Show complete list of system settings available in CollectionStudio.

Export modes

Collection Studio can export data in two modes:

  • Mode 1: The whole collection

    Access to this function in the main window of the Collection Studio: from Menu Tools and from Toolbar.

  • Mode 2: Thematic parts of collection

    Access to this function only from country/currency/quality/contact edit window, from its tab - 'collectibles'.

note Note: Only export using XML Table, SQL and HTML supports export of all images from your collection into the specified file format.

Other tools

  • Database Security;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;


Tool "Import"

The "Import" tool is a possibility to import all collectibles from the specified file. And after complete revision of the "Import" feature in Collection Studio 3.49, current version provides the following formats for import:

  • Auto-detect CSV, TXT Files (extension: csv, txt);
  • Comma-separated values CSV File (extension: csv);
  • Semicolon-separated values CSV File (extension: csv);
  • Tab-separated text file (extension: txt);
  • XML Table (extensions: xml) - Automatically imports collectible images, attachments and links.

Note: Right now, "Import" tool doesn't support importing images from the file.

To import an item follow the instruction below:

  • Step 1: Select a file to import;
  • Step 2: Assign field types;
  • Step 3: View imported data in collection.

Step 1: Select a file to import

Select a XML or CSV file with data to import.
You can easy create such files using "Export" tool.

Browse window
Browse window

Step 2: Assign field types

Verify fetched data from the file being imported and assign types for columns using right mouse click on the list header.

If you see only one column, that means - you have selected wrong input file format. Press "Cancel" and run "Import" tool with another file mask.

No columns selected
No columns selected
Selection of columns is done
Selection of columns is done

Press "Cancel" button - to stop import without any changes;
Press "Import" - and all collectible items mentioned in the list will be imported into opened Collection Studio Document;

All data from columns without assigned types will be skipped during import process and will be lost. CS tries to detect automatically following columns: country, currency, face value for banknotes and for coins collection and donator if table of contacts is not empty. In CS 3.64 additional auto-detect methods were added: to detect "Year" column (for all collections with year field inside), and in order to auto-detect "Coin Type" column (for coin collections only).

Import options

  • Set zero year as N/A;
  • First row is header; Check it if header was placed as a first record in the data of the file.

Processing of special columns

1. Nr.

If you don't set "Nr." field for any column, program will automatically create indexes for new items if Automatically calculate "Index ID" field is switched ON in settings window.

2. Income date

Field "income date" can be initialized using date string of following formats:

  • yyyy-mm-dd
  • yyyy/mm/dd
  • yyyy.mm.dd
  • dd-mm-yyyy
  • dd/mm/yyyy
  • dd.mm.yyyy

Also you can use unix time stamp. Unix time, or POSIX time, is a system for describing points in time, defined as the number of seconds elapsed since midnight Coordinated Universal Time (UTC) of January 1, 1970.

Step 3: View imported data in collection

After pressing "Import" button you will see your new collectible items in the Main List of the Collection Studio.

Import is finished. We can see imported collectibles
Import is finished. We can see imported collectibles.

Import from CSV file

The comma-separated values file format is a very simple data file format that is supported by almost all spreadsheet software such as Excel. So it is very easy to convert your collection from simple spreadsheet into powerful CollectionStudio Document.

In a comma-separated values (CSV) file the data items are delimited using commas. Column headers are sometimes included as the first line, and each subsequent line is a row of data. The lines are separated by newline and/or carriage return characters.

There is sample CSV file content below:

1,"Italy",20,Liras,,"Some comments, with comma"
2,"Poland",2,Zloty,1987,"Some ""quoted"" text in comments"
3,"Germany",1,Marks,1965,

Following rules are used during import from the CSV file:

  • Fields are separated only by commas;
  • Leading and trailing spaces or tabs, adjacent to commas, are trimmed;
  • Only fields delimited with double-quote characters can embed commas;
  • Embedded double-quote characters must be represented by a pair of double-quote characters;
  • No line breaks allowed in the field;
  • Fields with leading or trailing spaces must be delimited by double-quote characters;
  • Fields may always be delimited by double-quote characters, whether necessary or not;
  • Header can be placed only as a first record in the data in the file;
  • All empty columns will be removed from the list.

The above sample of the CSV file will be parsed as:
1 | Italy | 20 | Liras |  | Some comments, with comma
2 | Poland | 2 | Zloty | 1987 | Some "quoted" text in comments
3 | Germany | 1 | Marks | 1965 |

Import from XML file

Currently only with XML file you could automatically import collectible images, attachments and links.

In order to successfully import all items from the XML file, it should be well-formatted in following way:

<Collection>
    <Item>
        <Field1>Value1</Field1>
        <Field2>Value2</Field2>
        <Field3>Value3</Field3>
    </Item>
</Collection>

Other tools

  • Database Security;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;


Tool "Find"

The "Search" window provides various Collection Studio possibilities to find out appropriate items in your collection.

'Search' window of the Collection Studio

Keyword | Provides a space for you to specify the search query. Also you can use the drop-down list of previous search queries. Last used keywords for search are drawn in the top of the popup list.
Look in collection | Check if you want make search in your collectibles items (coins, banknotes etc)
Look in currencies list | Check if you want make search in currencies
Look in countries list | Check if you want make search in countries
Look in quality levels list | Check if you want make search in quality levels
Look in contact list | Check if you want make search in contacts
Match case | Select this checkbox to find only the text strings that exactly match the case of the characters in the Keyword query. Otherwise, the command finds strings with either uppercase or lowercase characters that match the characters in the Keyword query.

note Note: All checkmarks and queries are automatically saved after pressing "Find" button, providing to you more easy usage of Collection Studio "Find" tool.

Advanced search options

Clearing search history

In order to clear search history you should specify "-clear-history" command (without quotes) in the Keyword field and press Find button.

System settings

In spite of using "Settings" window, you can apply the following additional settings to setup CollectionStudio. These settings can be set only using RegEdit standard Windows® application for the following section in registry:

HKEY_CURRENT_USER\Software\CollectionStudio.com\Collection Studio\

Variable | Description | Default state/value
ToolSearch/EnableHints | Enable/disable additional hints for suggestion during typing search string in Keyword field of the Find tool. The following titles will be added: country names, currencies, quality levels and contacts. | On

Show complete list of system settings available in CollectionStudio.

Other tools

  • Database Security;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;


Tool "Get Info from Web"

This feature is under construction and will be finished soon.

The "Get Info from Web" tool downloads information from the Internet about your collectibles.

Current version of this tool provides information for following collectibles:

  • banknote;
  • coin.

Feature since CS 3.47 (planned).

How to Retrieve

  1. Select collectible to update.
  2. Run "Get Info from Web" tool.
  3. Select most suitable item in dialog (where most completed information is provided).
  4. Verify changes in collectible fields (some fields can be overwritten with newer information, which is not suitable with your concrete collectible).
  5. Press "Select" button or "Cancel" if you want to leave collectible unchanged.

Fields to send

Privacy

  1. We do not send information about software registration.
  2. We do not send any private information (names, e-mails etc).

Other tools

  • Database Security;
  • Dates Calculator;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;


Tool "Plugins"

Collection Studio support plugins since CS ver. 1.38. Plug-ins are DLL files written in C, C++, Delphi or another programming language and therefore provide a more powerful code base to Collection Studio.

Run plugins

All plugins can be run for single collectible or for the whole collection. If plugin supports only single collectible, select desired collectible and from menu "Tools/Plugins/" select required plugin.

Available plugins

The number of available plugins for CollectionStudio is always growing. Currently we have 6 plugins included into the installation package of the CollectionStudio:

List of plugins in Collection Studio
Name | Description
Fields Copy | Copy one field value into another one. Works in two mode: copy mode and move move.
Dates Calculator | Runs Dates Calculator tool for currently selected collectible in the list.
Remove Images | Removes all images from selected collectible
Remove All Images | Removes all images from all collectibles in the collection
Embed all linked images | Embed all linked images for all collectibles in current collection
Get info: imdb.com | Get information about selected movie from IMDB (www.imdb.com)

Create your own plugins

Basic information about plugins:

  1. All plugins are simple DLL files;
  2. Each plugin DLL can store more than one plugin;
  3. Plugin DLL should export at least two methods:
    1. one for description of all plugins ("CS_GetDescription");
    2. another for plugin functionality - plugin method;
  4. Each plugin method:
    1. gets collectible as a string in XML format;
    2. returns string with the same but modified collectible according to plugin functionality also in XML format;

CS_GetDescription method

This method provides for Collection Studio the whole information required to start any plugin correctly. This information is passed into the CS via simple string which contains the whole data in XML format.

Example of the CS_GetDescription method:
PLUGIN_API LPCSTR CS_GetDescription(void)
{
    // 'runforall' values "yes" or "no"
    static char* t_Buffer = {
        "<plugins>"\
            "<plugininfo>"\
                "<menuname>Remove Images</menuname>"\
                "<menuhelp>Remove all images from selected collectible</menuhelp>"\
                "<methodname>CS_Method1</methodname>"\
                "<runforall>no</runforall>"\
            "</plugininfo>"\
            "<plugininfo>"\
                "<menuname>Remove All Images</menuname>"\
                "<menuhelp>Remove all images from all collectibles</menuhelp>"\
                "<methodname>CS_Method1</methodname>"\
                "<runforall>yes</runforall>"\
            "</plugininfo>"\
        "</plugins>"
    };

    return t_Buffer;
}

Example of XML info for plugins:
<plugins>
    <plugininfo>
        <menuname>Remove Images</menuname>
        <menuhelp>Remove all images from selected collectible</menuhelp>
        <methodname>CS_Method1</methodname>
        <runforall>no</runforall>
    </plugininfo>
    <plugininfo>
        <menuname>Remove All Images</menuname>
        <menuhelp>Remove all images from all collectibles</menuhelp>
        <methodname>CS_Method1</methodname>
        <runforall>yes</runforall>
    </plugininfo>
</plugins>

Example of the Collectible XML:
<Collection>
    <Coin>
        <Index>1</Index>
        <ExternalIndex></ExternalIndex>
        <Created>1081795556</Created>
        <Duplicates>0</Duplicates>
        <Income>829334699</Income>
        <Storage></Storage>
        <Donator></Donator>
        <Quality>N/A</Quality>
        <Country>Poland</Country>
        <Currency>Grosh</Currency>
        <Price>0.000000</Price>
        <RealPrice>0.000000</RealPrice>
        <Year>1967</Year>
        <Comments></Comments>
        <CustomField1></CustomField1>
        <CustomField2></CustomField2>
        <CustomField3></CustomField3>
        <CustomField4></CustomField4>
        <CustomField5></CustomField5>
        <Nominal>5.000000</Nominal>
        <Mint></Mint>
        <Material></Material>
        <Region></Region>
        <InUse>No</InUse>
        <HerdType></HerdType>
        <Diameter>0.000000</Diameter>
        <Thickness>0.000000</Thickness>
        <ReversRotation>0.000000</ReversRotation>
        <Weight>0.000000</Weight>
        <CoinType>Regular</CoinType>
    </Coin>
</Collection>

For more information about registered fields, see following help articles:

  • Template Fields for Coins
  • Template Fields for Books
  • Template Fields for Banknotes
  • Template Fields for Stamps
  • Template Fields for Posters

Plugin example

We have developed open source C++ plugin with two functions:

  1. Remove all images from the selected collectible;
  2. Remove all images from all collectibles in the collection.

This plugin example includes also XML parser. Download URL is:

http://www.collectionstudio.com/plugin_sample_sources.zip Open link in new window

You can simple download it, modify it and enjoy Collection Studio with more powerful tools.

Share plugins

You can share your plugins with all Collection Studio users. For this, you should send sources to info@collectionstudio.com in zipped archive. Our developers will check functionality, improve it if any, and will include a new plugin into Collection Studio installation package.

Your authority will be saved in any case. You will get changed/improved source code for further development if any.

Binary plugins (without sources) may be included but not recommended.

Each interested and useful plugins will get free license for Collection Studio.

Other tools

  • Database Security;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;


Tool "Print"

print command Commands in the File menu enable you to preview or print a hard copy of the items displayed in the main list.

Optimizing printed pages

For best results, use the Printer Setup... command in the File menu to set the page orientation to Landscape before printing.

The Print... dialog contains a number of options that you can use to improve the appearance of your hard copies.

If you want to customize printing (mark with special colors, change some data etc) you should export the list data using "Save View Tool", and then in the external application make corresponding modification. Printing in this case should be done in the appropriate external application.

Note: You can't print images directly using 'Print Tool' of the main list.

Note: To see how your document will look before you print it, on the File menu, click Print Preview. In Print Preview, you can click Close to return to the document.

Printers

Collection Studio attempts to use the same fonts in printouts that you see on the screen.

Printer drivers vary a great deal in speed and quality. If the printed output generated by CollectionStudio looks worse on one printer than on another, you may need to download and install updated printer drivers from the printer's manufacturer.

Other tools

  • Database Security;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;


Tool "Save View"

The "Save View" tool provides various possibilities to save current view of your collection into the file with specific format.

When you run "Save View" tool, Collection Studio automatically setup filename for generated file using current settings. You can easy modify this filename format using "Settings: Filename Formats" window.

When you run "Save View" tool, Collection Studio automatically runs corresponding application on your computer for generated file. You can easy enable/disable this feature using "Settings: List" window.

If you need to export the whole collection or its part into the file with specific format you should use "Export Tool" of Collection Studio.

Supported formats

Current version provides the following formats:

  • ASCII Text File (extension: txt);
  • CSV File (extension: csv);
  • Simple HTML page (extensions: htm);
  • Styled HTML page (extensions: html);
  • XML Table (extensions: xml);
  • MS Excel file (extensions: xls);
  • Rich Text Format - RTF (extensions: rtf);

Why you need such tool?

  • Using "Save View" tool you can easy maintains your web-site or home page in the Internet. Just save your collection into the Web-page and upload it on your web-site ...

Other tools

  • Database Security;
  • Find;
  • Export;
  • Import;
  • Get Info from Web;
  • Plugins;
  • Print;
  • Save View;


Tool: Synchronize

"Remote Database (catalogue)" functionality was introduced in CS v.3.59 and not jet finished.

Your opinion about this functionality is very important for us!

Please, write your suggestions or comments using "Contact" form or on our Forums.

Thank you in advance. Your CS Team.

This dialog shows you how process of synchronization is going on. You see detailed log in the list.

Currently the synchronize process works only in one way: CollectionStudio application -> collectionstudio.com web site. During this process we submit all fields except private ones, such as donator, price, buy comments etc.

In our plans:

  • Allow modification online;
  • Retrieve modified data;
  • Support images, links, private fields and other data types that needs special processing on site;
  • Creation, deletion of collectibles online;
  • Comfortable work with online collection using mobile devices.

See also

  • Remote account setup
  • Container setup


Inside Studio

Inside Collection Studio:

  • Collection Studio Document;
  • Barcode support;
  • Start CS in command line and its parameters;
  • Interface languages;
  • Portable Installation on USB device.


Barcode support in Collection Studio

barcode: cs 2.46 A barcode is a machine-readable representation of information (usually dark ink on a light background to create high and low reflectance which is converted to 1s and 0s). Originally, barcodes stored data in the widths and spacings of printed parallel lines, but today they also come in patterns of dots, concentric circles, and text codes hidden within images. Barcodes can be read by optical scanners called barcode readers.

The Benefits of Bar Coding: Timely and accurate information means better business decisions, accurate inventory, improved purchasing and quality control, monitor work in process and reduced data entry. Barcode scanning is 30,000 times more accurate and 10 times faster than manual data entry, therefore reduce costs, higher productivity and Higher Profits!

Feature since CS 2.46.

Usage

1. Initialization

For each collectible you can specify its own identification number. To do this, open "Edit" dialog for collectible, "Collection" tab page, and press "Scan" button to use barcode scanner to assign id automatically, or enter barcode string manually directly into the "Barcode" field (in this case you don't need to open "Barcode" dialog).

2. Lookup mode

barcode scanner When the main window of Collection Studio is active, scan barcode using your barcode reader:
a) an entry with corresponding barcode identification will be opened;
b) an "Add collectible" dialog will appear with the bar code field has already filled in (this behavior is planned for implementation and should be enabled in settings).

3. Printing

You can print barcodes within Collection Studio.

This feature is planned to be release in future versions.

4. Setup

The following settings are available for barcode drawing and usage:
// none.

Benefits

  • No manual error input;
  • Fast collectible search;


Start Collection Studio and Its Parameters

From Windows

You can start Collection Studio by double-clicking on the CollectionStudio.exe file in Windows Explorer, by double-clicking on any file that is associated with Collection Studio (see Program Settings / File Association) or by dragging and dropping a file on to either the CollectionStudio.exe file or a shortcut to it.

From the Command Line

The syntax to start Collection Studio from the command line is:

CollectionStudio.exe "drive:\path\filename" [switches]

Note: The Collection Studio directory must be in your $PATH environment variable for this to work. If it isn't then you must enter the full path to the CollectionStudio.exe file.

Note: We strongly recommend to use pathfilename in command line. It can help you to avoid path related problems (using backuped document instead of temporary created one).

Switch values

-p | Print the whole collection on default printer;
-nosplash | Do not show the splash-screen.
-portable | Do not use registry on local machine as storage for all Collection Studio settings. This command is used when Portable Installation is required.
-newcollection | Leads to opening "New collection" at program start up. Also it disables opening of the last accessed collection during CollectionStudio start up.
trace=file.log | Specify trace filename (file.log) for tracing output. Since CS 4.66;
structure-load=file.csds | Specify filename (file.csds) with collection structure for just created new collection at program start up. Since CS 4.66;
structure-save=file.csds | Specify filename (file.csds) for saving collection structure at application start up with specified collection in command line. When structure is saved CS will exit. Since CS 4.66;
language=French | Specify language to be set at program start up. Default is empty - determine previously used language; During first run of the Collection Studio default interface language will be taken from the settings of user account in OS Windows®. Since CS 4.66;

Example

  • CollectionStudio.exe "my_collection.col" -portable -nosplash

    Starts CollectionStudio from the current folder and automatically opens existing collection file - my_collection.col. All settings will be taken from the local file in the same directory and all changes in the settings will be stored there. This command is very useful for keeping your collection on portable device, for example on USB Data Storage.


Interface Languages

Every author of a new Language File gets
a free license for Collection Studio!

Overview

Menu View: select interface language in Collection Studio The multi-language interface of Collection Studio has become available from version 2.40. English is the default language, and an unlimited number of other languages may be added.

Collection Studio uses Language Files (*.lng - files). These files (English.lng, French.lng, Russian.lng, ...) are situated in directory where the program has been installed. It is text files containing strings with user's interface in different languages. For translating any special knowledge isn't needed. That's why you can translate lng-file into your native language and use it with Collection Studio.

How to translate LNG files?

We are very grateful you for your interest in our software translation.

The LNG file is rather a big file. Its volume is above 15 Kbytes. So from the first sight it might to be hard to translate it. But it's wrong. Approximately half of the information in LNG file should be NOT translated to make our program understand which string is should be used for particular situation!

For creating a new lng-file, or editing an old one you can use any file editor, for example NotePad.

Follow the rules, and you'll understand that it's easy:

  • Do not translate strings in the square brackets ([]).
  • Do not translate strings before the first '=' sign.
  • Do not remove or append any new special sub-strings (for example '%%', '%d', '%2d', '%s', '\n', '\t' and etc).
  • Do not translate strings after '#' sign - it is comments for editor.
  • Translate only words and phrases in each file-line starting after the first '=' sign.
  • (optional) Place the '&' sign in the strings to have a possibility to reach a menu item using the Alt key.
  • Try to keep original length of the string. It means that you shouldn't do it if translated string is 3 or 4 times larger than original.
  • Save the file as 'YourLanguage.lng' in the same folder as Collection Studio.
  • After translating check you lng-file using the program. To do this, select your language in the program in Main Menu: View > Interface Language and verify that all strings are translated and their length is acceptable.
  • If you wish, you can write down an lng-file information in the first section (Description): name of the language, version, date when the last changes were made, your name and your e-mail address. If you provide us an URL with your home page, it will be placed on this page (in Collection Studio Help File, and on our web-site in the section "Online Collection Studio Help File").
  • If you made several changes in currently selected lng file in CS, you should restart the application in order the changes take effect.

Example

String 'AAA' - is an original string (in the base language);
String 'BBB' - is a translated string;

Source part of the lng-file:

# AAA
[AAA]
AAA=&AAA
AAA=AAA %d &AAA

Translated this part should be:

# AAA
[AAA]
AAA=&BBB
AAA=BBB %d B&BB

Statistics View

Current translation of the main statistics view is done using additional language file. It is placed in the sub folder "Stats" with corresponding filename. So, for example, if you set Collection Studio Interface language as Poland (Poland.lng) the Poland.htm will be used for statistics. If no such file, English.htm (default one) will be used.

Files for translation

In spite of to get free license for CollectionStudio you should translate only English.lng file, the following files could be also translated to have application totally available in your language:

  • /Lng/English.lng
  • /Stats/English.htm
  • /Statuses/English.dat
  • /Prices/English.txt
  • /Collectibles/English/ - a set of csds files (only collectible titles and used field names should be translated)


Portable Collection Studio

Collection Studio can be installed on portable device for example on USB Data Storage.

In this case you need to store all Collection Studio settings on the same device instead of the registry on the local machine. It can be easy done using following command line argument -portable.

For convenient Collection Studio start, you can use the following content of the batch file:

CollectionStudio "my_collection.col" -portable

With portable installation it is easy to use images linked to external files which are placed on the removable discs. See "Image filename" algorithm implemented in Collection Studio for more details.

Read about portable installation on Russian flag Russian language on our forums.


Version History

CS 4.76
CS 4.75 | CS 4.74 | CS 4.73 |
CS 4.72 | CS 4.71 | CS 4.70 | CS 4.69 | CS 4.68 | CS 4.67 | CS 4.66
CS 3.65 | CS 3.64 | CS 3.63 | CS 3.62

Collection Studio 4.76 / Mai 31, 2024

  • Export:
    • fixed: do not output year and quality twice
    • fixed: output of multi line comments into CSV and CSV with semicolon separator

Collection Studio 4.75 / August 31, 2018

  • Export: Fix of the export into RTF file format;
  • Fix: Country and currency were lost during plug-in run, for example during run of the Dates Calculator plug-in (This was a common problem during call to any plug-in);
  • Misc: COL file format was upgraded to next version with more compact data output;
  • Fix: face value tag inside pre-defined collection types (will affect only for newly created collections using predefined collectible types);
  • Automatically open "contact us" online form if any error occurs during load/save of the collection file;

Collection Studio 4.74 / July 29, 2018

  • Update histogram view (with new sorting order) when column header in the list is clicked;
  • Show map with gradient fill according to number of collectibles in each country instead of usage of 5 predefined colors; Colors of gradient and number of steps in it could be configured.
  • Settings: Sounds: enhance internal mechanism for loading of sound files;
  • Add spacing for long face values: 500000 dinar -> 500 000 dinar:
    • during output into template view
    • and inside collectible title
  • Template view:
    • Show a list of all collectibles for selected currency, contact and quality level
    • Show a list of all collectibles for selected statistics item
    • Enhanced "Comments" template view;
  • Speed-up:
    • sorting by number of collectibles for different views;
    • sorting by country existence;
  • Fixes:
    • Fix: tag name mixing for face value: [face_value] and [face value];
    • Fix: endless loop during open countries with collectibles that have very long face value, such as 500 000 000 000;
    • Fix: link to Central Bank of Bolivia;
    • Fix: reload defined colors for collectible statuses when interface language is changed;
    • Fix: no assert during closing of the miscellaneous setting page caused by wrong detection of the currency selection;
    • Fix: highlighting of the quality using bold font inside drop down list if this quality is used inside collection;

Collection Studio 4.73 / June 24, 2018

  • Added new statistics views:
    • European union with listing of 28 countries,
    • Eurozone with listing of 19 countries.
  • Added histogram for "Spend per year" statistics view;
  • Added new statistics section in main statistics view;
  • Country: Updated statistics table in template view: collectible year / collectible face value (nominal + currency): now you can open collectible directly from the table;
  • Fixed: show correct continent map when there is no any matched country in the list for selected continent.
  • Multilingual support:
    • Update of Polish flag Polish translation;

Collection Studio 4.72 / March 31, 2016

  • Collectibles:
    • Added new statistics views - by year grouped with 5, 10, 25, 50 years;
    • Show list of collectibles in pop up list from statistics view "by group of years" (5 / 10 / 25 / 50);
  • Collectible title: add new rules for making more human readable title of the collectible;
  • Export:
    • Export into CSV: add column titles as first row of the export data;
    • Convert all prices (catalog and buy price) into user selected currency; All prices are go with corresponding currency name;
    • Set default export format as CSV;
    • Fix: use default filename for the exported collection: "My collection, ";
  • GPS coordinate field type: add predefined shortcuts for opening GPS coordinate with ACME Mapper and Maps-For-Free online map services (previously there were only two options: Google maps and Yahoo maps);
  • Multilingual support:
    • Update of Belarus flag Belorussian translation;
  • Countries: Fix: do not rewrite already set existence years for countries;
  • Statistics: show most lucky and most worst purchase;
  • CollectionStudio help file: fixed internal links;

Collection Studio 4.71 / July 31, 2015

  • Collectibles:
    • Added new field types: weight and material;
    • Added new statistics view: by materials with total weights;
  • Filter of the collectible list:
    • Change colors of buttons;
    • Show icons for buttons when there is enough free space in the window;
  • Edit/add collectible window:
    • Allow manual adding of the country/currency for collectible using Edit control with drop down list with already used or predefined values (you can disable this functionality and return back to just selection using combo-box with flag images);
    • Auto adding new country/currency entry during creation/modification of the collectible (you can disable this functionality in the setting window);
    • Fix: show vertical scroll bar when data is too big to fit the list of the ComboBox field type;
  • List:
    • Fix: sort by income date;
    • Fix: enhance sorting by price (catalog price / paid amount);

Collection Studio 4.70 / February 12, 2015

  • Export:
    • Validate string values during export into CSV format;
    • Allow customization of the date format during export (current default value is DD.MM.YYYY);
  • Import:
    • Allow multi lines values in CSV files;
    • Fix: progress bar doesn't disappear when import finished;
    • Fix: progress bar moves to fast than importing of the data;
    • Speed up import process;
  • Multilingual support:
    • Update Ukrainian flag Ukrainian translation by netavek;
  • Speed-up opening collectible edit dialog;
  • Auto recover corrupted file (partly downloaded from web);

Collection Studio 4.69 / October 5, 2014

  • Prices and currencies:
    • Convert all prices into one currency (selected by user in settings window) during display;
    • Fix: no Euro in the currencies list for prices;
    • Statistics: fix: 100 USD + 100 EUR = 230 USD, according to current currency exchange rate;
    • Statistics: fix: conversion of the collection price into one base currency (selected by user or into default USD);
    • Exchange rates: add ability to convert A->B using temporary currency;
  • Export:
    • Validate tag (for forbidden symbols) after editing and during loading of the old collection;
    • Fix: export into CSV file;
  • Import:
    • From XML: Automatically import collectible images, attachments and links;
    • Try to automatically detect "collectible index" column from the data being imported;
  • Main bar: For selected collectible show only fields that are not used in the collectible template name;
  • Added new country and its flag Biafra and several territories;
  • Speed up: usage of more faster sort algorithm;

Collection Studio 4.68 / October 29, 2013

  • Fix: command line parameter "-newcollection" leads to opening "New collection" at program start up (also it prevent opening last accessed collection during start up)
  • Default field values: now it is possible to edit default values of the field in the Collection options window;
  • Export: Fix crush during export;
  • Statistics:
    • Main statistics: Added "median of year" field; This year represents situation where one half of collection is older than this median year and another half is younger;
    • Speed up: building statistics by country/currency/quality;
  • List: align numbers in cells to the right, flags - in the middle of the cell;

Collection Studio 4.67 / September 20, 2013

  • Critical fix: program crush during open of the "Collectible edit" window;
  • Fix Import: auto detect country, currency, quality, year and face value;
  • Multilingual support:
    • Update Ukrainian flag Ukrainian translation by netavek;
  • Template view:
    • allow fast access to collectibles mentioned in the template view;
    • update info in the view if accessed item was changed;
  • Statistics:
    • Show separate face value statistics;
  • automatically validate collectible template name at collection loading;
  • Reworked help file
  • Internal:
    • Minor changes and small bug fixes
    • cppcheck: a lot of small fixes according to lexical analysis;
    • Fix critical error with Date/Year/Century field type;
    • Added icon for "British Antarctic Territory"
    • Added icon for "South Georgia and the South Sandwich Islands"

Collection Studio 4.66 / August 26, 2013

  • Collectibles:
    • All old standard collectibles are now automatically converted into custom collectibles;
    • Statistics information window is shown, during conversion of old standard collections into custom collection;
    • New field types were added:
      • Date Plus - which can be used to specify date (day, month and year) or only year or century in the "Collectible Edit" dialog on the fly;
      • Period, to set range of mintage in coins collections for example. This field is constructed from two DatePlus fields;
      • Group separator;
      • Page separator;
      • Face value - to indicate numbers on banknotes and coins, postage stamps etc, generally this field will go together with "currency" field;
    • Face value: allow to show and edit face value using "1/3", "1/5", "1/12" etc instead of 0.3333 and 0.2 etc;
    • Comobobox field type: Now you can specify default field values, which will be available in the drop down list during collectible edit;
    • Default list of fields was appended with "Title" field;
    • Fix: correct handling of the "[title]" tag;
    • Fix: show country flags in collectibles listing;
  • Collectible year:
    • Fix: support of the negative year during modification of the collectible; Show "B.C." postfix instead of negative years;
    • Fix: remove zero century from the "By century" statistics table;
  • Collectible prices:
    • For any price it possible to provide currency;
    • Pre-build list of currencies was added for following languages: english (default), russian, belorussian, ukrainian;
    • Fix: do not show rows with empty prices in Template view;
    • Automatically convert price value from custom currency into base currency using customizable rate table;
  • Template view:
    • Remember user template selection for next program start (requested on our forum);
    • Adjust width of the first column in view;
    • Country: New statistics table in template view: collectible year / collectible face value (nominal + currency);
  • Collection:
    • Open last accessed collection at start up;
    • New command line parameter "newcollection" was added to disable opening of the last accessed collection during CollectionStudio start up;
  • Hot keys:
    • fix: add collectible using Ctrl+1 hot key;
    • fix: switch to collectibles list using Alt+1 hot key;
  • Collection Options: Fields setup
    • "Create field tag" button: set tag as field type if it is admissible;
    • Group field types using separators in drop down list;
  • Images: Get "EXIF info": fix critical error: crush of the program;
  • Statistics
    • Show small equivalent of years in histogram if number of columns is more than 20 (with setup possibilities)
  • New command line parameters:
    • language, to specify user interface language;
    • trace, to specify trace filename;
    • structure-load and structure-save, to specify file for loading/saving structure of the collection during start up;
  • Internal:
    • cppcheck: a lot of small fixes according to lexical analysis;
    • currencies: "penny" was added into default list;

Collection Studio 3.65 / March 22, 2012

  • Comments: fix conversion from RTF into ASCII; Remove unused line feeds after conversion into HTML format;
  • Fix: Statistics by price, sort was incorrect (1,10,2) instead of (1,2,10);
  • Duplicate:
    • Changes in behavior: newer copy of the collectible is placed in the same container as original collectible;
    • Newer system settings were added:
      • Settings/Duplicate.AutoSelect - Auto-select duplicated collectible;
      • Settings/Duplicate.AutoOpen - Auto-open "Edit" dialog for duplicated collectible.
  • Newer system setting: auto-select just created collectible (by default is switched off);
  • Multilingual support:
    • Update language in the filter of the collectible list when new interface language is selected;
  • Histogram: do not draw anything for years without collectibles;
  • Images:
    • Add support of the ICO files;
    • Draw images more smooth with 3 different algorithms;
    • More faster drawing of stretched images;
    • Fix: Copy from clipboard;
    • Add ability to copy from clipboard with auto compression into PNG format to reduce memory usage;
    • Copy from clipboard: show summary statistics about used compression;
  • Template view:
    • Draw images as thumbnails for more smooth output with 3 different algorithms. With click - an original image will be shown;
  • Flicker free drawing of several controls;
  • Movies: fix work with value of the color flag (mentioned by Pedromig on our forum);
  • Gallery: show information in main bar and in the template view about currently selected collectible;
  • Fix: View correct value of the quality state in the "Edit" dialog after press Prev/Next buttons.

Collection Studio 3.64 / December 30, 2011

  • Custom collectibles:
    • Fix tab page "Quality State": show current quality of the custom collectible and save changes made on this tab page (in previous versions it was possible to change quality state only from the main tab page of the edit dialog);
    • Do not show quality state field on the main tab page of the edit dialog (quality state is handled on separate tab page);
  • Search tool:
    • Fix: remember/restore window position;
    • Show last used keywords for search in the top of the popup list;
    • Enable additional hints for suggestion during typing search Keyword using titles of country names, currencies, quality levels and contacts;
    • New "-clear-history" command (without quotes) was added to clear search history in the Keyword field.
  • Images:
    • Fix memory leaks;
    • Update information in tooltips for images after modification of its properties;
    • Hide image tooltips before collectible editing.
    • Fix commands: show EXIF, Copy to clipboard, Save as.
  • Multilingual support:
    • New translation was added: Flag of Pakistan Arabic translation by mfmddawdeh;
    • New translation was added: Slovenian flag Slovenian translation by Tomaz Curk;
    • Update of the Turkish flag Turkish localization (thanks to Ali Koc).
  • Menu: Draw selection mark with gradient fill under Windows XP, Windows 7 and Windows Vista;
  • Background color:
    • Enhance accuracy and speed of the gradient drawing in background for "Histogram" view, "Image" pane, Information bar etc;
    • Filter: draw background with nice gradient color (only for PC with Internet Explorer 6.0 or higher);
  • Template view:
    • Fix: prevent double output into the pane on opening collectible list;
    • Show tooltips for images;
  • Import:
    • Auto detect of the "Year" column (all collectible types with year support);
    • Auto detect of the "Coin type" column (coins collections only).
  • cppcheck: a lot of small fixes according to lexical analysis;

Collection Studio 3.63 / July 28, 2011

  • Tool "Synchronize countries" was fixed: program crushed during synchronization with active "Countries" list (reported by sharaf on our forums);
  • Multilingual support:
    • Update of Lithuanian flag Lithuanian translation by Laurius Vaitkevicius.
    • Update of Indonesian flag Indonesian translation by Wowan Kuncoro.
  • Fix: Tab control in the "Edit" window was not updated correctly during resize (problem was reported on our forum by McKenly Roberts).
  • Main toolbar:
    • Fix: Wrong background color in the main toolbar under specific color schemas in Windows XP.
    • Speed-up loading of the main toolbar during start up of the CollectionStudio.
  • Inner database: new country was added: South Sudan.
  • Status bar: Added additional information about selected continent.
  • Plugins: Correct parsing of the resulting XML returned from the plugin.

Collection Studio 3.62 / June 22, 2011

  • Windows 7 and XP Themes:
    • Fix background color in "About" box;
    • "Item edit" dialog: correctly resize controls to draw the same edges on each side of the frame.
  • Collectible edit dialog:
    • Show country/currency drop down lists with case insensitive sort (suggested by svirepy on our forum);
    • Allow modification and removing of old collectible statuses using buttons and/or context pop up menu of the list;
  • Multilingual support:
    • Allow translation of all default statuses;
    • Update Ukrainian flag Ukrainian translation by netavek;
    • New translation was added: Andorrian flag Catalan language by Sylvain Borri;
  • Update Checker:
    • Fix error in update checker (it always output an error when CS is up to date);
    • Show animation when update checker is running.
  • Collectible status:
    • Allow user-defined statues for collectibles;
    • Allow initialization of the date value for the new status of the collectible;
    • Allow easy dragging of "New status" window.
  • Collectible list: show extended information about collectible status;
  • Template view: show extended information about collectible status with possibility for fast opening of the contact entry;
  • Main menu: add new command for collectible - set new collectible status;
  • Images: fix "copy to clipboard" and "save as" commands for collectible photos (problem was found and reported on our forums by sharaf);
  • Export tool for coins and banknotes: Krause index was mixed with "Width" value;
  • Installation: Installer/uninstaller now is smarter, it checks whether CollectionStudio is running;

Interested in change log of previous versions? Yes!


Version History: Ideology

Version number

features and tasks Collection Studio has several versions with various options. Every version has its unique code: X.YY, where
X - is a global changes counter
YY - is a minor changes counter

Global changes by versions

CollectionStudio 1.xx
  1. Supports collections of coins, banknotes and postage stamps;
  2. A lot of views with histograms;
  3. Export / Import;
  4. Dates Calculator;

CollectionStudio 2.xx
  1. Supports collections of books, discs, medals and awards and movies;
  2. Multi-lingual support;
  3. Plugins;
  4. Portable installation;
  5. Coloured continent's maps.

CollectionStudio 3.xx
  1. Custom collectible;
  2. Customizable import tool;
  3. List Filter;
  4. Custom containers for collectibles.

CollectionStudio 4.xx

Implemented:

  1. All collectibles are customizable;

In progress:

  1. Virtual lists (Lightboxes) Open link in new window;
  2. Report generator;
  3. Synchronization with Collection Studio Online;
  4. Statistics and deep analytics views for your collectibles based on usage of specific aspects specified by collectibles fields;

See also

  • Collection Studio Main Features;
  • Latest changes.


Hot Keys - Keyboard Shortcuts

This is a list of the most common keyboard shortcuts in Collection Studio.

F1 | Open help window. Pressing F1 on any screen brings up help and displays the appropriate help topic.
F2 | View/change information about currently selected item.
F6 | Switch keyboard focus between collection tree view and collection list view.
F9 | Open "Options" window for current CS Document.
F10 | Set focus to the main menu of Collection Studio.
F11 | Toggle between full-screen and regular view of the main Collection List or Gallery.
F12 | Open Collection Studio settings window.
Ctrl + D | Duplicate collectible item's information into new entry. Automatically opens "Edit Collectible Item" window.
Ctrl + K | View / change comments for selected item.
Ctrl + L | Open URL link specified for selected item in default Web Browser.
Ctrl + M | Move selected collectible into container.
Ctrl + N | Create a new Collection Studio document.
Ctrl + O | Open an existing Collection Studio document.
Ctrl + S | Save the active Collection Studio document.
Ctrl + P | Print the active view of the opened collection.
Ctrl + F | Search in your collection items that match search query.
Ctrl + W | Get from web; Retrieves information about selected collectible from the web (collectiostudio.com web site).
Ctrl + 1 | Add new entry about new collectible in your collection.
Ctrl + 2 | Add new currency.
Ctrl + 3 | Add new country.
Ctrl + 4 | Add new quality level.
Ctrl + 5 | Add new contact.
Ctrl + Del | Delete selected item.
⏎ Enter | View/change information about selected item.
Alt + F4 | Quit the application; prompts to save Collection Studio Document.
Alt + 1 | Switch to "Collection" view.
Alt + 2 | Switch to "Currencies" view.
Alt + 3 | Switch to "Countries" view.
Alt + 4 | Switch to "Quality levels" view.
Alt + 5 | Switch to "Contact" view.
⇧ Shif + F6 | Switch keyboard focus between collection tree view and collection list view.


License

No warranty is expressed or implied. The authors of this program are not responsible for any damage or loss of data due to the use of this program. This document and Collection Studio are Copyright © 2004-2015, CollectionStudio.com.

1. License. CollectionStudio.com grants you a nonexclusive and nontransferable license ("License") for using the enclosed software and CollectionStudio documentation. The CollectionStudio.com software in this package and any copies which this License authorizes you to do are subjects of this License.

2. Permitted Use and Restrictions. This License allows you to install and use Collection Studio only on a single computer simultaneously. This License does not allow Collection Studio to exist on more than one computer at a time. You may make one copy of Collection Studio in machine-readable form for backup purposes only. The backup copy must include all copyright information contained in the original. Except as permitted by applicable law and this License, you may not decompile, reverse engineer, disassemble, modify, rent, lease, loan, distribute the whole Collection Studio or its parts and transmit Collection Studio over a network. You may not release, play in public or publish any Derivative Work resulting from the use of Collection Studio except for non-commercial use. You may, however, transfer your rights provided you by this License, the related documentation, this License and a copy of Collection Studio to a party who agrees to accept the terms of this License and destroy any other copies of Collection Studio in your possession. Such transferring terminates your license to use the software. Your rights under this License will terminate automatically without notice from CollectionStudio.com if you fail to comply with any term(s) of this License.

3. Limitation of liability. Under no circumstances, including negligence, CollectionStudio.com is not liable for any incidental, special, indirect or consequential damages arising out of or relating to this license. Any jurisdictions do not allow the limitation of incidental or consequential damages so this limitation may not apply to you. This License is governed by the laws of the United States of America. If for any reason a court of competent jurisdiction finds any provision or portion to be unenforceable, the remainder of this License will continue in full force and effect.

4. Complete Agreement. This License constitutes the entire agreement between the parties with respect to the use of CollectionStudio.com Software and supersedes all prior or contemporaneous understandings regarding such subject matter. No amendment to or modification of this License will be binding unless in writing and signed by CollectionStudio.com

Third-party Copyrights

CollectionStudio includes components or libraries developed by the following third parties:

  • IJG JPEG library © 1994-1998, Thomas G. Lane;
  • LibPNG version 1.2.7 © 1998-2001 Glenn Randers-Pehrson;
  • LibTIFF version 3.5.7 © 1988-1997 Sam Leffler, © 1991-1997 Silicon Graphics, Inc.;
  • Gif-RLE © Hutchison Avenue Software Corporation, 1998;
  • zlib version 1.2.1 © 1995-2003 Jean-loup Gailly and Mark Adler;
  • Expat, version 2.0.1. © 1998-2006 Clark Cooper;
  • Anti-Grain Geometry (AGG), v.2.5, © 2002-2006 Maxim Shemanarev;
  • Pug XML Parser, 1.0002, © 2003 Kristen Wegner and Neville Franks.


FAQ

Frequently Asked Questions

Contents

  • I can't download this software during upgrade!
  • I would like to use Collection Studio between 2 computers: My home computer and my laptop when I travel. What is the best way to do this?
  • How can I save the changes while the program is running?
  • What happens to the information in the unregistered software if trial period has expired?
  • If I purchase the program, will I be able to change it in case I have some suggestions?
  • Does Collection Studio contain any adware or spyware?
  • Where can I report bugs to?
  • I have my new countries inserted, how can I use flag for them?
  • I can't open my collection with double click!
  • Is there the CollectionStudio version running under DOS, Mac OS, Linux or UNIX?
  • Unable to open under Windows 10

Answers

  • I can't download this software during upgrade!

    Try to use any download accelerator like FlashGet, ReGet etc.

  • I would like to use Collection Studio between 2 computers: my home computer and my laptop when I travel. What is the best way to do this?

    The best way is to probably use a removable media device (ZIP Drive 250MB, etc.). Install Collection Studio on both computers and use removable media device as a storage device of your Collection Studio Document (file with .col extension).

  • How can I save the changes while the program is running?

    The changes are saved automatically.

  • What happens to the information in the unregistered software if trial period has expired?

    All the information remains. After the trial period has expired, you will be able to continue working with the program only when you register it and get the registration key. Elsewhere you'll be able only to view/export your collection information but not to save changes in it (add new items, modify items, delete items etc).

  • If I purchase the program, will I be able to change it in case I have some suggestions?

    We are always ready to listen to any suggestions and comments on the program. But your ideas will be realized only if they are truly useful and necessary from the authors' point of view.

  • Does Collection Studio contain any adware or spyware?

    Collection Studio does not contain adware or spyware.

  • Where can I report bugs to?

    You can send the information about the obtained problems or your wishes from the form on the official website in the section "Contact". See "Support" help-page for more details.

  • I have my new countries inserted, how can I use flag for them?

    When you have added one or several countries into your collection document, you can easy setup flag for them. In this case, you should add a new line into the [install dir]\Flags\Icons_CountryFlags.ini for corresponding flag with new name (alias) and restart the Studio.

  • I can't open my collection with double click!

    If you can't open collection file using file association you should update it on your pc. Here there is step-by-step instruction how to do this:

    1. Start Collection Studio;
    2. Open "Settings" window;
    3. Select "File Association" tab;
    4. Press "Remove association" button in order to clean up broken association;
    5. Press "Create association" button;
    6. Start your collection.
  • Is there the CollectionStudio version running under DOS, Mac OS, Linux or UNIX?

    CollectionStudio supports Microsoft Windows systems only.

    On www.collectionstudio.com/online/ there is an online version of the Collection Studio, you can try it!

  • Unable to open under Windows 10

    CollectionStudio could be run with any version Microsoft Windows operation system. For some users Windows 10 prevents to start CollectionStudio without administration access rights. To resolve this issue, follow next instructions here https://www.cnet.com/how-to/always-run-a-program-in-administrator-mode-in-windows-10/

More questions?

envelope If you still have a question, contact us via e-mail info@CollectionStudio.com or using our contact form on official web site:
http://www.CollectionStudio.com/contact/ Open link in new window .
We are happy to assist you in any way.

envelope If you have any comments or suggestions for future versions, please don't hesitate to send them to us info@CollectionStudio.com.


Support

Before contacting

Before contacting us, please take the following steps:

  1. Look through Help file: it may already contain the answer to your question. It can be found in the same folder as our program in your start menu.
  2. Check the version of the Collection Studio on our site http://www.CollectionStudio.com/ Open link in new window . If you haven't got the latest release, please go to our download page http://www.CollectionStudio.com/download/ Open link in new window and install the current release.

Writing e-mail

e-mail envelope If it doesn't help you should inform us about the following:

  1. Your order ID (if you're a registered user). Priority support is provided for registered users.
  2. Program version (from "About" dialog).
  3. Windows version, US or international.
  4. Computer information: CPU type and speed, installed memory.
  5. Full description of the error or fault, the process that you did, the error that occurred, and the resulting message plus any other information you feel is relevant (as much information as possible to reproduce the problem).

envelope Send the e-mail to info@CollectionStudio.com. We are happy to assist you in any way. Please expect a response within 72 hours.

envelope If you have any comments or suggestions for future releases, please don't hesitate to send them to us info@CollectionStudio.com.


Collection Studio Items

Items

  • Collectible
  • Contact
  • Country
  • Currency
  • Quality level


Windows: List View

What can you do with the List View?

  • Sort the rows by any column in the list

    Click on any of the column headers to sort the data in it in ascending order. If you click on the same column header again the data will be sorted in descending order.

  • Filter content of the list

    To filter rows content open Filter window and add some criterias for filtering. Then press Apply button.

  • Change the width of a column

    To change the width of a column; grab the dividing line at left end of the column with your mouse and while holding down the left mouse button drag the column to the desired width.

  • Change the order of the columns

    To change the order of the columns (Country, Title, Donator, Books, Mint etc) drag and drop that column to its new location.

  • Add/Remove Columns

    To add or remove a column from the List right click on the list header and then select or unselect the columns you want displayed.

  • Export To Plain Text, HTML or CSV file

    To export currently displayed items in the list, just select Menu / Tools / Export and follow CS instructions. First of all you will be prompted for filename, its location and format in which data should be exported.

  • Print

    To print a report of displayed rows.


Windows: List Filter

List Filter

There are many ways to filter your items in CollectionStudio's List view.

Filtering process includes realization of one or several operations. Each operation performs one simple logical verification according to its type. If all operations in the filter are succeeded for item (record) in the list you will see it in the result. If even one operation in the filter isn't succeeded the corresponding record will be hidden.

Each view in the CS has its own filter allowing to switch between views without lose of setuped rules in filter. All filters are stored in CS Document, so all their setup will be available when you load your collection next time.

Feature since CS 3.51; New value selector in CS 3.56.

Supported filter operations

  • Is empty
  • Is not empty
  • Is equal to ...
  • Is not equal to ...
  • Less than ...
  • Less than or equal to...
  • Greater than ...
  • Greater than or equal to ...

Our users say

Catalin: Filters for the list: excellent job!!! One needs to get used to it but once you learned how to use it, it is very useful. Thank you!

Screen shot

List Filter: selection of the country
List Filter: selection of the country

See also

  • Windows in CS